=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2008-09-22 13:44:04 +0000
+++ client/drizzle.cc	2008-09-23 14:19:48 +0000
@@ -79,7 +79,6 @@
 #elif defined(HAVE_ASM_TERMBITS_H) && (!defined __GLIBC__ || !(__GLIBC__ > 2 || __GLIBC__ == 2 && __GLIBC_MINOR__ > 0))
 #include <asm/termbits.h>    // Standard linux
 #endif
-#undef VOID
 #if defined(HAVE_TERMCAP_H)
 #include <termcap.h>
 #else

=== modified file 'client/drizzleadmin.cc'
--- client/drizzleadmin.cc	2008-09-16 01:37:05 +0000
+++ client/drizzleadmin.cc	2008-09-23 14:19:48 +0000
@@ -183,8 +183,8 @@
   if (tty_password)
     opt_password = get_tty_password(NullS);
 
-  VOID(signal(SIGINT,endprog));			/* Here if abort */
-  VOID(signal(SIGTERM,endprog));		/* Here if abort */
+  signal(SIGINT,endprog);			/* Here if abort */
+  signal(SIGTERM,endprog);		/* Here if abort */
 
   if (opt_connect_timeout)
   {

=== modified file 'client/drizzledump.cc'
--- client/drizzledump.cc	2008-09-16 04:26:53 +0000
+++ client/drizzledump.cc	2008-09-23 14:19:48 +0000
@@ -2668,7 +2668,7 @@
     check_io(md_result_file);
   }
   if (lock_tables)
-    VOID(drizzle_query_with_error_report(drizzle, 0, "UNLOCK TABLES"));
+    drizzle_query_with_error_report(drizzle, 0, "UNLOCK TABLES");
   if (flush_privileges && using_mysql_db == 0)
   {
     fprintf(md_result_file,"\n--\n-- Flush Grant Tables \n--\n");
@@ -2806,7 +2806,7 @@
     check_io(md_result_file);
   }
   if (lock_tables)
-    VOID(drizzle_query_with_error_report(drizzle, 0, "UNLOCK TABLES"));
+    drizzle_query_with_error_report(drizzle, 0, "UNLOCK TABLES");
   return(0);
 } /* dump_selected_tables */
 

=== modified file 'client/drizzleimport.cc'
--- client/drizzleimport.cc	2008-09-14 18:54:32 +0000
+++ client/drizzleimport.cc	2008-09-23 14:19:48 +0000
@@ -536,8 +536,8 @@
     pthread_attr_setdetachstate(&attr,
                                 PTHREAD_CREATE_DETACHED);
 
-    VOID(pthread_mutex_init(&counter_mutex, NULL));
-    VOID(pthread_cond_init(&count_threshhold, NULL));
+    pthread_mutex_init(&counter_mutex, NULL);
+    pthread_cond_init(&count_threshhold, NULL);
 
     for (counter= 0; *argv != NULL; argv++) /* Loop through tables */
     {
@@ -576,8 +576,8 @@
       pthread_cond_timedwait(&count_threshhold, &counter_mutex, &abstime);
     }
     pthread_mutex_unlock(&counter_mutex);
-    VOID(pthread_mutex_destroy(&counter_mutex));
-    VOID(pthread_cond_destroy(&count_threshhold));
+    pthread_mutex_destroy(&counter_mutex);
+    pthread_cond_destroy(&count_threshhold);
     pthread_attr_destroy(&attr);
   }
   else

=== modified file 'client/drizzleslap.cc'
--- client/drizzleslap.cc	2008-09-23 01:53:40 +0000
+++ client/drizzleslap.cc	2008-09-23 14:19:48 +0000
@@ -348,12 +348,12 @@
 
   slap_connect(&drizzle, false);
 
-  VOID(pthread_mutex_init(&counter_mutex, NULL));
-  VOID(pthread_cond_init(&count_threshhold, NULL));
-  VOID(pthread_mutex_init(&sleeper_mutex, NULL));
-  VOID(pthread_cond_init(&sleep_threshhold, NULL));
-  VOID(pthread_mutex_init(&timer_alarm_mutex, NULL));
-  VOID(pthread_cond_init(&timer_alarm_threshold, NULL));
+  pthread_mutex_init(&counter_mutex, NULL);
+  pthread_cond_init(&count_threshhold, NULL);
+  pthread_mutex_init(&sleeper_mutex, NULL);
+  pthread_cond_init(&sleep_threshhold, NULL);
+  pthread_mutex_init(&timer_alarm_mutex, NULL);
+  pthread_cond_init(&timer_alarm_threshold, NULL);
 
 
   /* Main iterations loop */
@@ -389,12 +389,12 @@
   if (opt_burnin)
     goto burnin;
 
-  VOID(pthread_mutex_destroy(&counter_mutex));
-  VOID(pthread_cond_destroy(&count_threshhold));
-  VOID(pthread_mutex_destroy(&sleeper_mutex));
-  VOID(pthread_cond_destroy(&sleep_threshhold));
-  VOID(pthread_mutex_destroy(&timer_alarm_mutex));
-  VOID(pthread_cond_destroy(&timer_alarm_threshold));
+  pthread_mutex_destroy(&counter_mutex);
+  pthread_cond_destroy(&count_threshhold);
+  pthread_mutex_destroy(&sleeper_mutex);
+  pthread_cond_destroy(&sleep_threshhold);
+  pthread_mutex_destroy(&timer_alarm_mutex);
+  pthread_cond_destroy(&timer_alarm_threshold);
 
   slap_close(&drizzle);
 

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2008-09-16 01:37:05 +0000
+++ client/drizzletest.cc	2008-09-23 14:19:48 +0000
@@ -6523,7 +6523,7 @@
     free_sets(&sets);
     return(0);
   }
-  VOID(make_new_set(&sets));      /* Set starting set */
+  make_new_set(&sets);      /* Set starting set */
   make_sets_invisible(&sets);      /* Hide previus sets */
   used_sets=-1;
   word_states=make_new_set(&sets);    /* Start of new word */
@@ -7017,7 +7017,7 @@
   pa->flag[pa->typelib.count]=0;      /* Reset flag */
   pa->typelib.type_names[pa->typelib.count++]= (char*) pa->str+pa->length;
   pa->typelib.type_names[pa->typelib.count]= NullS;  /* Put end-mark */
-  VOID(stpcpy((char*) pa->str+pa->length,name));
+  stpcpy((char*) pa->str+pa->length,name);
   pa->length+=length;
   return(0);
 } /* insert_pointer_name */

=== modified file 'drizzled/discover.cc'
--- drizzled/discover.cc	2008-08-06 18:46:02 +0000
+++ drizzled/discover.cc	2008-09-23 14:19:48 +0000
@@ -76,7 +76,7 @@
   
  err:
   if (file > 0)
-    VOID(my_close(file,MYF(MY_WME)));
+    my_close(file,MYF(MY_WME));
   
  err_end:		      /* Here when no file */
   return(error);
@@ -109,7 +109,7 @@
   {
     if (my_write(file, frmdata, len,MYF(MY_WME | MY_NABP)))
       error= 2;
-    VOID(my_close(file,MYF(0)));
+    my_close(file,MYF(0));
   }
   return(error);
 } /* writefrm */

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-09-23 01:53:40 +0000
+++ drizzled/drizzled.cc	2008-09-23 14:19:48 +0000
@@ -2935,7 +2935,7 @@
     if (!(thd= new THD))
     {
       (void) shutdown(new_sock, SHUT_RDWR);
-      VOID(close(new_sock));
+      close(new_sock);
       continue;
     }
     if (net_init_sock(&thd->net, new_sock, sock == 0))

=== modified file 'drizzled/filesort.cc'
--- drizzled/filesort.cc	2008-09-22 23:53:43 +0000
+++ drizzled/filesort.cc	2008-09-23 14:19:48 +0000
@@ -1238,7 +1238,7 @@
         if (!(error= (int) read_to_buffer(from_file,buffpek,
                                           rec_length)))
         {
-          VOID(queue_remove(&queue,0));
+          queue_remove(&queue,0);
           reuse_freed_buff(&queue, buffpek, rec_length);
           break;                        /* One buffer have been removed */
         }

=== modified file 'drizzled/global.h'
--- drizzled/global.h	2008-09-23 06:09:48 +0000
+++ drizzled/global.h	2008-09-23 14:19:48 +0000
@@ -59,8 +59,8 @@
 #define __builtin_expect(x, expected_value) (x)
 #endif
 
-#define likely(x)	__builtin_expect((x),1)
-#define unlikely(x)	__builtin_expect((x),0)
+#define likely(x)  __builtin_expect((x),1)
+#define unlikely(x)  __builtin_expect((x),0)
 
 /*
  *   Disable __attribute__ for non GNU compilers, since we're using them
@@ -88,7 +88,7 @@
 #include <sys/types.h>
 #endif
 
-#define __EXTENSIONS__ 1	/* We want some extension */
+#define __EXTENSIONS__ 1  /* We want some extension */
 
 #if defined(HAVE_STDINT_H)
 /* Need to include this _before_ stdlib, so that all defines are right */
@@ -97,8 +97,8 @@
 #undef _STDINT_H
 #define __STDC_FORMAT_MACROS
 #include <inttypes.h>
-/* 
-  We include the following because currently Google #$@#$ Protocol Buffers possibly break stdint defines. 
+/*
+  We include the following because currently Google #$@#$ Protocol Buffers possibly break stdint defines.
   Or I am wrong, very possible, and hope someone finds the solution.
 
   Taken from /usr/include/stdint.h
@@ -120,12 +120,12 @@
 #define INT8_MIN          -128
 #define INT16_MIN         -32768
 
-   /*
-      Note:  the literal "most negative int" cannot be written in C --
-      the rules in the standard (section 6.4.4.1 in C99) will give it
-      an unsigned type, so INT32_MIN (and the most negative member of
-      any larger signed type) must be written via a constant expression.
-   */
+/*
+  Note:  the literal "most negative int" cannot be written in C --
+  the rules in the standard (section 6.4.4.1 in C99) will give it
+  an unsigned type, so INT32_MIN (and the most negative member of
+  any larger signed type) must be written via a constant expression.
+*/
 #define INT32_MIN        (-INT32_MAX-1)
 #define INT64_MIN        (-INT64_MAX-1)
 
@@ -169,15 +169,15 @@
 /* 7.18.2.4 Limits of integer types capable of holding object pointers */
 
 #if __WORDSIZE == 64
-#define INTPTR_MIN	  INT64_MIN
-#define INTPTR_MAX	  INT64_MAX
+#define INTPTR_MIN    INT64_MIN
+#define INTPTR_MAX    INT64_MAX
 #else
 #define INTPTR_MIN        INT32_MIN
 #define INTPTR_MAX        INT32_MAX
 #endif
 
 #if __WORDSIZE == 64
-#define UINTPTR_MAX	  UINT64_MAX
+#define UINTPTR_MAX    UINT64_MAX
 #else
 #define UINTPTR_MAX       UINT32_MAX
 #endif
@@ -190,8 +190,8 @@
 
 /* 7.18.3 "Other" */
 #if __WORDSIZE == 64
-#define PTRDIFF_MIN	  INT64_MIN
-#define PTRDIFF_MAX	  INT64_MAX
+#define PTRDIFF_MIN    INT64_MIN
+#define PTRDIFF_MAX    INT64_MAX
 #else
 #define PTRDIFF_MIN       INT32_MIN
 #define PTRDIFF_MAX       INT32_MAX
@@ -202,7 +202,7 @@
    My bet would be on one of {U}INT32_{MIN,MAX}. */
 
 #if __WORDSIZE == 64
-#define SIZE_MAX	  UINT64_MAX
+#define SIZE_MAX    UINT64_MAX
 #else
 #define SIZE_MAX          UINT32_MAX
 #endif
@@ -227,11 +227,11 @@
 #  endif
 #endif
 
-#define WINT_MIN	  INT32_MIN
-#define WINT_MAX	  INT32_MAX
+#define WINT_MIN    INT32_MIN
+#define WINT_MAX    INT32_MAX
 
-#define SIG_ATOMIC_MIN	  INT32_MIN
-#define SIG_ATOMIC_MAX	  INT32_MAX
+#define SIG_ATOMIC_MIN    INT32_MIN
+#define SIG_ATOMIC_MAX    INT32_MAX
 #endif
 
 #else
@@ -242,7 +242,7 @@
 /*
   Solaris 9 include file <sys/feature_tests.h> refers to X/Open document
 
-    System Interfaces and Headers, Issue 5
+  System Interfaces and Headers, Issue 5
 
   saying we should define _XOPEN_SOURCE=500 to get POSIX.1c prototypes,
   but apparently other systems (namely FreeBSD) don't agree.
@@ -275,11 +275,11 @@
 #define _POSIX_PTHREAD_SEMANTICS /* We want posix threads */
 #endif
 
-#define _REENTRANT	1	/* Some thread libraries require this */
-
-#include <pthread.h>		/* AIX must have this included first */
-
-#define _REENTRANT	1	/* Threads requires reentrant code */
+#define _REENTRANT  1  /* Some thread libraries require this */
+
+#include <pthread.h>    /* AIX must have this included first */
+
+#define _REENTRANT  1  /* Threads requires reentrant code */
 
 
 /* gcc/egcs issues */
@@ -310,7 +310,7 @@
 #include <fcntl.h>
 #endif
 #ifdef HAVE_SYS_TIMEB_H
-#include <sys/timeb.h>				/* Avoid warnings on SCO */
+#include <sys/timeb.h>        /* Avoid warnings on SCO */
 #endif
 #if TIME_WITH_SYS_TIME
 # include <sys/time.h>
@@ -333,7 +333,7 @@
 #include <alloca.h>
 #endif
 
-#include <errno.h>				/* Recommended by debian */
+#include <errno.h>        /* Recommended by debian */
 
 #if defined(HAVE_STDBOOL_H)
 #include <stdbool.h>
@@ -356,7 +356,7 @@
   do                                                            \
   {                                                             \
     char compile_time_assert[(X) ? 1 : -1]                      \
-                             __attribute__ ((unused));          \
+      __attribute__ ((unused));                                 \
   } while(0)
 #endif
 
@@ -367,26 +367,15 @@
 
 /* We can not live without the following defines */
 
-#define MASTER 1		/* Compile without unireg */
+#define MASTER 1    /* Compile without unireg */
 
-#define QUOTE_ARG(x)		#x	/* Quote argument (before cpp) */
-#define STRINGIFY_ARG(x) QUOTE_ARG(x)	/* Quote argument, after cpp */
+#define QUOTE_ARG(x)    #x  /* Quote argument (before cpp) */
+#define STRINGIFY_ARG(x) QUOTE_ARG(x)  /* Quote argument, after cpp */
 /* Does the system remember a signal handler after a signal ? */
 #ifndef HAVE_BSD_SIGNALS
 #define DONT_REMEMBER_SIGNAL
 #endif
 
-/* Define void to stop lint from generating "null effekt" comments */
-#ifndef DONT_DEFINE_VOID
-#ifdef _lint
-int	__void__;
-#define VOID(X)		(__void__ = (int) (X))
-#else
-#undef VOID
-#define VOID(X)		(X)
-#endif
-#endif /* DONT_DEFINE_VOID */
-
 #if !defined(HAVE_UINT)
 #undef HAVE_UINT
 #define HAVE_UINT
@@ -398,7 +387,7 @@
 extern char _dig_vec_upper[];
 extern char _dig_vec_lower[];
 
-#define test(a)		((a) ? 1 : 0)
+#define test(a)    ((a) ? 1 : 0)
 #define set_if_bigger(a,b)  do { if ((a) < (b)) (a)=(b); } while(0)
 #define set_if_smaller(a,b) do { if ((a) > (b)) (a)=(b); } while(0)
 #define test_all_bits(a,b) (((a) & (b)) == (b))
@@ -409,7 +398,7 @@
 #endif
 
 #if defined(__GNUC__)
-#define function_volatile	volatile
+#define function_volatile  volatile
 #define my_reinterpret_cast(A) reinterpret_cast<A>
 #define my_const_cast(A) const_cast<A>
 # ifndef GCC_VERSION
@@ -422,7 +411,7 @@
 
 /* Some types that is different between systems */
 
-typedef int	File;		/* File descriptor */
+typedef int  File;    /* File descriptor */
 /* Type for fuctions that handles signals */
 /* RETSIGTYPE is defined by autoconf */
 #define sig_handler RETSIGTYPE
@@ -450,25 +439,25 @@
 
 /* file create flags */
 
-#ifndef O_SHARE			/* Probably not windows */
-#define O_SHARE		0	/* Flag to my_open for shared files */
+#ifndef O_SHARE      /* Probably not windows */
+#define O_SHARE    0  /* Flag to my_open for shared files */
 #endif /* O_SHARE */
 
 #ifndef O_BINARY
-#define O_BINARY	0	/* Flag to my_open for binary files */
+#define O_BINARY  0  /* Flag to my_open for binary files */
 #endif
 
 #ifndef FILE_BINARY
-#define FILE_BINARY	O_BINARY /* Flag to my_fopen for binary streams */
+#define FILE_BINARY  O_BINARY /* Flag to my_fopen for binary streams */
 #endif
 
-#define F_TO_EOF	0L	/* Param to lockf() to lock rest of file */
+#define F_TO_EOF  0L  /* Param to lockf() to lock rest of file */
 
 #ifndef O_TEMPORARY
-#define O_TEMPORARY	0
+#define O_TEMPORARY  0
 #endif
 #ifndef O_SHORT_LIVED
-#define O_SHORT_LIVED	0
+#define O_SHORT_LIVED  0
 #endif
 #ifndef O_NOFOLLOW
 #define O_NOFOLLOW      0
@@ -477,12 +466,12 @@
 
 
 #ifndef FN_LIBCHAR
-#define FN_LIBCHAR	'/'
-#define FN_ROOTDIR	"/"
+#define FN_LIBCHAR  '/'
+#define FN_ROOTDIR  "/"
 #endif
-#define MY_NFILE	64	/* This is only used to save filenames */
+#define MY_NFILE  64  /* This is only used to save filenames */
 #ifndef OS_FILE_LIMIT
-#define OS_FILE_LIMIT	65535
+#define OS_FILE_LIMIT  65535
 #endif
 
 /* #define EXT_IN_LIBNAME     */
@@ -495,21 +484,21 @@
 */
 #define MALLOC_OVERHEAD 8
 
-	/* get memory in huncs */
-#define ONCE_ALLOC_INIT		(uint) (4096-MALLOC_OVERHEAD)
-	/* Typical record cash */
-#define RECORD_CACHE_SIZE	(uint) (64*1024-MALLOC_OVERHEAD)
-	/* Typical key cash */
-#define KEY_CACHE_SIZE		(uint) (8*1024*1024-MALLOC_OVERHEAD)
-	/* Default size of a key cache block  */
-#define KEY_CACHE_BLOCK_SIZE	(uint) 1024
-
-
-	/* Some things that this system doesn't have */
+/* get memory in huncs */
+#define ONCE_ALLOC_INIT    (uint) (4096-MALLOC_OVERHEAD)
+/* Typical record cash */
+#define RECORD_CACHE_SIZE  (uint) (64*1024-MALLOC_OVERHEAD)
+/* Typical key cash */
+#define KEY_CACHE_SIZE    (uint) (8*1024*1024-MALLOC_OVERHEAD)
+/* Default size of a key cache block  */
+#define KEY_CACHE_BLOCK_SIZE  (uint) 1024
+
+
+/* Some things that this system doesn't have */
 
 /* Some defines of functions for portability */
 
-#undef remove		/* Crashes MySQL on SCO 5.0.0 */
+#undef remove    /* Crashes MySQL on SCO 5.0.0 */
 #ifndef uint64_t2double
 #define uint64_t2double(A) ((double) (uint64_t) (A))
 #define my_off_t2double(A)  ((double) (my_off_t) (A))
@@ -519,7 +508,7 @@
 #define offsetof(TYPE, MEMBER) ((size_t) &((TYPE *)0)->MEMBER)
 #endif
 #define ulong_to_double(X) ((double) (ulong) (X))
-#define SET_STACK_SIZE(X)	/* Not needed on real machines */
+#define SET_STACK_SIZE(X)  /* Not needed on real machines */
 
 #ifndef STACK_DIRECTION
 #error "please add -DSTACK_DIRECTION=1 or -1 to your CPPFLAGS"
@@ -542,10 +531,10 @@
 
 /* From limits.h instead */
 #ifndef DBL_MIN
-#define DBL_MIN		4.94065645841246544e-324
+#define DBL_MIN    4.94065645841246544e-324
 #endif
 #ifndef DBL_MAX
-#define DBL_MAX		1.79769313486231470e+308
+#define DBL_MAX    1.79769313486231470e+308
 #endif
 #ifndef SIZE_T_MAX
 #define SIZE_T_MAX ~((size_t) 0)
@@ -586,17 +575,17 @@
   adressable obj.
 */
 #if SIZEOF_CHARP == 4
-typedef int32_t		my_ptrdiff_t;
+typedef int32_t    my_ptrdiff_t;
 #else
-typedef int64_t 	my_ptrdiff_t;
+typedef int64_t   my_ptrdiff_t;
 #endif
 
-#define MY_ALIGN(A,L)	(((A) + (L) - 1) & ~((L) - 1))
-#define ALIGN_SIZE(A)	MY_ALIGN((A),sizeof(double))
+#define MY_ALIGN(A,L)  (((A) + (L) - 1) & ~((L) - 1))
+#define ALIGN_SIZE(A)  MY_ALIGN((A),sizeof(double))
 /* Size to make adressable obj. */
 #define ALIGN_PTR(A, t) ((t*) MY_ALIGN((A),sizeof(t)))
-			 /* Offset of field f in structure t */
-#define OFFSET(t, f)	((size_t)(char *)&((t *)0)->f)
+/* Offset of field f in structure t */
+#define OFFSET(t, f)  ((size_t)(char *)&((t *)0)->f)
 #define ADD_TO_PTR(ptr,size,type) (type) ((uchar*) (ptr)+size)
 #define PTR_BYTE_DIFF(A,B) (my_ptrdiff_t) ((uchar*) (A) - (uchar*) (B))
 
@@ -615,58 +604,58 @@
   and related routines are refactored.
 */
 
-#define my_offsetof(TYPE, MEMBER) \
-        ((size_t)((char *)&(((TYPE *)0x10)->MEMBER) - (char*)0x10))
+#define my_offsetof(TYPE, MEMBER)                                       \
+  ((size_t)((char *)&(((TYPE *)0x10)->MEMBER) - (char*)0x10))
 
-#define NullS		(char *) 0
+#define NullS    (char *) 0
 
 /* Typdefs for easyier portability */
 
 #ifndef HAVE_UCHAR
-typedef unsigned char	uchar;	/* Short for unsigned char */
+typedef unsigned char  uchar;  /* Short for unsigned char */
 #endif
 
 #if !defined(HAVE_ULONG) && !defined(__USE_MISC)
-typedef unsigned long ulong;		  /* Short for unsigned long */
+typedef unsigned long ulong;      /* Short for unsigned long */
 #endif
 
 #define MY_ERRPTR ((void*)(intptr)1)
 
-#if SIZEOF_OFF_T > 4 
+#if SIZEOF_OFF_T > 4
 typedef uint64_t my_off_t;
 #else
 typedef unsigned long my_off_t;
-#endif 
-#define MY_FILEPOS_ERROR	(~(my_off_t) 0)
+#endif
+#define MY_FILEPOS_ERROR  (~(my_off_t) 0)
 
 typedef off_t os_off_t;
 
-#define socket_errno	errno
-#define SOCKET_EINTR	EINTR
-#define SOCKET_EAGAIN	EAGAIN
+#define socket_errno  errno
+#define SOCKET_EINTR  EINTR
+#define SOCKET_EAGAIN  EAGAIN
 #define SOCKET_ETIMEDOUT SOCKET_EINTR
 #define SOCKET_EWOULDBLOCK EWOULDBLOCK
 #define SOCKET_EADDRINUSE EADDRINUSE
-#define SOCKET_ENFILE	ENFILE
-#define SOCKET_EMFILE	EMFILE
+#define SOCKET_ENFILE  ENFILE
+#define SOCKET_EMFILE  EMFILE
 
-typedef uint8_t		int7;	/* Most effective integer 0 <= x <= 127 */
-typedef short		int15;	/* Most effective integer 0 <= x <= 32767 */
-typedef int		myf;	/* Type of MyFlags in my_funcs */
+typedef uint8_t    int7;  /* Most effective integer 0 <= x <= 127 */
+typedef short    int15;  /* Most effective integer 0 <= x <= 32767 */
+typedef int    myf;  /* Type of MyFlags in my_funcs */
 #if !defined(bool) && (!defined(HAVE_BOOL) || !defined(__cplusplus))
-typedef char		bool;	/* Ordinary boolean values 0 1 */
+typedef char    bool;  /* Ordinary boolean values 0 1 */
 #endif
-	/* Macros for converting *constants* to the right type */
-#define INT8(v)		(int8_t) (v)
-#define INT16(v)	(int16_t) (v)
-#define INT32(v)	(int32_t) (v)
-#define MYF(v)		(myf) (v)
+/* Macros for converting *constants* to the right type */
+#define INT8(v)    (int8_t) (v)
+#define INT16(v)  (int16_t) (v)
+#define INT32(v)  (int32_t) (v)
+#define MYF(v)    (myf) (v)
 
 /* Defines for time function */
-#define SCALE_SEC	100
-#define SCALE_USEC	10000
-#define MY_HOW_OFTEN_TO_ALARM	2	/* How often we want info on screen */
-#define MY_HOW_OFTEN_TO_WRITE	1000	/* How often we want info on screen */
+#define SCALE_SEC  100
+#define SCALE_USEC  10000
+#define MY_HOW_OFTEN_TO_ALARM  2  /* How often we want info on screen */
+#define MY_HOW_OFTEN_TO_WRITE  1000  /* How often we want info on screen */
 
 
 #if defined(HAVE_CHARSET_utf8mb3) || defined(HAVE_CHARSET_utf8mb4)

=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2008-09-22 23:53:43 +0000
+++ drizzled/handler.cc	2008-09-23 14:19:48 +0000
@@ -2594,7 +2594,7 @@
   }
 err:
   if (file >= 0)
-    VOID(my_close(file,MYF(MY_WME)));
+    my_close(file,MYF(MY_WME));
   return(result);
 }
 
@@ -3103,7 +3103,7 @@
   name= check_lowercase_names(table.file, share.path.str, name_buff);
 
   error= table.file->ha_create(name, &table, create_info);
-  VOID(closefrm(&table, 0));
+  closefrm(&table, 0);
   if (error)
   {
     strxmov(name_buff, db, ".", table_name, NullS);
@@ -3172,7 +3172,7 @@
 
   check_lowercase_names(table.file, path, path);
   error=table.file->ha_create(path, &table, &create_info);
-  VOID(closefrm(&table, 1));
+  closefrm(&table, 1);
 
   return(error != 0);
 }

=== modified file 'drizzled/init.cc'
--- drizzled/init.cc	2008-08-21 02:21:23 +0000
+++ drizzled/init.cc	2008-09-23 14:19:48 +0000
@@ -34,7 +34,7 @@
   init_time();				/* Init time-functions (read zone) */
   my_abort_hook=unireg_abort;		/* Abort with close of databases */
 
-  VOID(stpcpy(reg_ext,".frm"));
+  stpcpy(reg_ext,".frm");
   reg_ext_length= 4;
 
   return;

=== modified file 'drizzled/item_cmpfunc.cc'
--- drizzled/item_cmpfunc.cc	2008-09-22 23:53:43 +0000
+++ drizzled/item_cmpfunc.cc	2008-09-23 14:19:48 +0000
@@ -4181,7 +4181,7 @@
       if (!(new_item= new Item_func_not(item)))
 	return;					// Fatal OEM error
     }
-    VOID(li.replace(new_item));
+    li.replace(new_item);
   }
 }
 

=== modified file 'drizzled/lock.cc'
--- drizzled/lock.cc	2008-08-25 19:04:45 +0000
+++ drizzled/lock.cc	2008-09-23 14:19:48 +0000
@@ -230,7 +230,7 @@
     if (rc > 1)                                 /* a timeout or a deadlock */
     {
       if (sql_lock->table_count)
-        VOID(unlock_external(thd, sql_lock->table, sql_lock->table_count));
+        unlock_external(thd, sql_lock->table, sql_lock->table_count);
       reset_lock_data_and_free(&sql_lock);
       my_error(rc, MYF(0));
       break;
@@ -262,7 +262,7 @@
         thr_multi_unlock(sql_lock->locks, sql_lock->lock_count);
 
     if (sql_lock->table_count)
-      VOID(unlock_external(thd, sql_lock->table, sql_lock->table_count));
+      unlock_external(thd, sql_lock->table, sql_lock->table_count);
 
     /*
       If thr_multi_lock fails it resets lock type for tables, which
@@ -334,7 +334,7 @@
   if (sql_lock->lock_count)
     thr_multi_unlock(sql_lock->locks,sql_lock->lock_count);
   if (sql_lock->table_count)
-    VOID(unlock_external(thd,sql_lock->table,sql_lock->table_count));
+    unlock_external(thd,sql_lock->table,sql_lock->table_count);
   my_free((uchar*) sql_lock,MYF(0));
   return;
 }
@@ -397,7 +397,7 @@
   /* Unlock all read locked tables */
   if (i != found)
   {
-    VOID(unlock_external(thd,table,i-found));
+    unlock_external(thd,table,i-found);
     sql_lock->table_count=found;
   }
   /* Fix the lock positions in Table */
@@ -861,7 +861,7 @@
 
   if (wait_if_global_read_lock(thd, 0, 1))
     return(1);
-  VOID(pthread_mutex_lock(&LOCK_open));
+  pthread_mutex_lock(&LOCK_open);
   if ((lock_retcode = lock_table_name(thd, table_list, true)) < 0)
     goto end;
   if (lock_retcode && wait_for_locked_table_names(thd, table_list))
@@ -1483,8 +1483,8 @@
 
 void broadcast_refresh(void)
 {
-  VOID(pthread_cond_broadcast(&COND_refresh));
-  VOID(pthread_cond_broadcast(&COND_global_read_lock));
+  pthread_cond_broadcast(&COND_refresh);
+  pthread_cond_broadcast(&COND_global_read_lock);
 }
 
 

=== modified file 'drizzled/log.cc'
--- drizzled/log.cc	2008-09-22 23:53:43 +0000
+++ drizzled/log.cc	2008-09-23 14:19:48 +0000
@@ -2146,7 +2146,7 @@
     thread. If the transaction involved MyISAM tables, it should go
     into binlog even on rollback.
   */
-  VOID(pthread_mutex_lock(&LOCK_thread_count));
+  pthread_mutex_lock(&LOCK_thread_count);
 
   /* Save variables so that we can reopen the log */
   save_name=name;
@@ -2226,7 +2226,7 @@
   my_free((uchar*) save_name, MYF(0));
 
 err:
-  VOID(pthread_mutex_unlock(&LOCK_thread_count));
+  pthread_mutex_unlock(&LOCK_thread_count);
   pthread_mutex_unlock(&LOCK_index);
   pthread_mutex_unlock(&LOCK_log);
   return(error);
@@ -3150,7 +3150,7 @@
     if ((thd && !(thd->options & OPTION_BIN_LOG)) ||
 	(!binlog_filter->db_ok(local_db)))
     {
-      VOID(pthread_mutex_unlock(&LOCK_log));
+      pthread_mutex_unlock(&LOCK_log);
       return(0);
     }
 
@@ -3541,7 +3541,7 @@
 
 bool DRIZZLE_BIN_LOG::write(THD *thd, IO_CACHE *cache, Log_event *commit_event)
 {
-  VOID(pthread_mutex_lock(&LOCK_log));
+  pthread_mutex_lock(&LOCK_log);
 
   /* NULL would represent nothing to replicate after ROLLBACK */
   assert(commit_event != NULL);
@@ -3617,7 +3617,7 @@
     else
       rotate_and_purge(RP_LOCK_LOG_IS_ALREADY_LOCKED);
   }
-  VOID(pthread_mutex_unlock(&LOCK_log));
+  pthread_mutex_unlock(&LOCK_log);
 
   return(0);
 
@@ -3627,7 +3627,7 @@
     write_error= 1;
     sql_print_error(ER(ER_ERROR_ON_WRITE), name, errno);
   }
-  VOID(pthread_mutex_unlock(&LOCK_log));
+  pthread_mutex_unlock(&LOCK_log);
   return(1);
 }
 
@@ -3832,7 +3832,7 @@
     char err_renamed[FN_REFLEN], *end;
     end= strmake(err_renamed,log_error_file,FN_REFLEN-4);
     stpcpy(end, "-old");
-    VOID(pthread_mutex_lock(&LOCK_error_log));
+    pthread_mutex_lock(&LOCK_error_log);
     char err_temp[FN_REFLEN+4];
     /*
      On Windows is necessary a temporary file for to rename
@@ -3863,7 +3863,7 @@
     }
     else
      result= 1;
-    VOID(pthread_mutex_unlock(&LOCK_error_log));
+    pthread_mutex_unlock(&LOCK_error_log);
   }
    return result;
 }
@@ -3899,7 +3899,7 @@
   struct tm tm_tmp;
   struct tm *start;
 
-  VOID(pthread_mutex_lock(&LOCK_error_log));
+  pthread_mutex_lock(&LOCK_error_log);
 
   skr= my_time(0);
   localtime_r(&skr, &tm_tmp);
@@ -3918,7 +3918,7 @@
 
   fflush(stderr);
 
-  VOID(pthread_mutex_unlock(&LOCK_error_log));
+  pthread_mutex_unlock(&LOCK_error_log);
   return;
 }
 

=== modified file 'drizzled/protocol.cc'
--- drizzled/protocol.cc	2008-09-22 23:53:43 +0000
+++ drizzled/protocol.cc	2008-09-23 14:19:48 +0000
@@ -183,8 +183,8 @@
 
   if (message && message[0])
     pos= net_store_data(pos, (uchar*) message, strlen(message));
-  VOID(my_net_write(net, buff, (size_t) (pos-buff)));
-  VOID(net_flush(net));
+  my_net_write(net, buff, (size_t) (pos-buff));
+  net_flush(net);
 
   thd->main_da.can_overwrite_status= false;
 }
@@ -217,7 +217,7 @@
   {
     thd->main_da.can_overwrite_status= true;
     write_eof_packet(thd, net, server_status, total_warn_count);
-    VOID(net_flush(net));
+    net_flush(net);
     thd->main_da.can_overwrite_status= false;
   }
 }
@@ -248,7 +248,7 @@
   if (thd->is_fatal_error)
     server_status&= ~SERVER_MORE_RESULTS_EXISTS;
   int2store(buff + 3, server_status);
-  VOID(my_net_write(net, buff, 5));
+  my_net_write(net, buff, 5);
 }
 
 void net_send_error_packet(THD *thd, uint sql_errno, const char *err)
@@ -276,8 +276,7 @@
                   (char*) buff);
   err= (char*) buff;
 
-  VOID(net_write_command(net,(uchar) 255, (uchar*) "", 0, (uchar*) err,
-                         length));
+  net_write_command(net,(uchar) 255, (uchar*) "", 0, (uchar*) err, length);
   return;
 }
 

=== modified file 'drizzled/records.cc'
--- drizzled/records.cc	2008-08-21 02:21:23 +0000
+++ drizzled/records.cc	2008-09-23 14:19:48 +0000
@@ -153,7 +153,7 @@
   
   if (table->s->tmp_table == NON_TRANSACTIONAL_TMP_TABLE &&
       !table->sort.addon_field)
-    VOID(table->file->extra(HA_EXTRA_MMAP));
+    table->file->extra(HA_EXTRA_MMAP);
   
   if (table->sort.addon_field)
   {
@@ -233,8 +233,7 @@
 	 !(table->s->db_options_in_use & HA_OPTION_PACK_RECORD) ||
 	 (use_record_cache < 0 &&
 	  !(table->file->ha_table_flags() & HA_NOT_DELETE_WITH_CACHE))))
-      VOID(table->file->extra_opt(HA_EXTRA_CACHE,
-				  thd->variables.read_buff_size));
+      table->file->extra_opt(HA_EXTRA_CACHE, thd->variables.read_buff_size);
   }
   /* 
     Do condition pushdown for UPDATE/DELETE.

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2008-09-04 18:16:51 +0000
+++ drizzled/sql_base.cc	2008-09-23 14:19:48 +0000
@@ -288,7 +288,7 @@
          oldest_unused_share->next)
   {
     pthread_mutex_lock(&oldest_unused_share->mutex);
-    VOID(hash_delete(&table_def_cache, (uchar*) oldest_unused_share));
+    hash_delete(&table_def_cache, (uchar*) oldest_unused_share);
   }
 
   return(share);
@@ -519,7 +519,7 @@
   OPEN_TableList **start_list, *open_list;
   TableList table_list;
 
-  VOID(pthread_mutex_lock(&LOCK_open));
+  pthread_mutex_lock(&LOCK_open);
   memset(&table_list, 0, sizeof(table_list));
   start_list= &open_list;
   open_list=0;
@@ -569,7 +569,7 @@
     start_list= &(*start_list)->next;
     *start_list=0;
   }
-  VOID(pthread_mutex_unlock(&LOCK_open));
+  pthread_mutex_unlock(&LOCK_open);
   return(open_list);
 }
 
@@ -582,7 +582,7 @@
 {						// Free all structures
   free_io_cache(table);
   if (table->file)                              // Not true if name lock
-    VOID(closefrm(table, 1));			// close file
+    closefrm(table, 1);			// close file
   return;
 }
 
@@ -651,7 +651,7 @@
   assert(thd || (!wait_for_refresh && !tables));
 
   if (!have_lock)
-    VOID(pthread_mutex_lock(&LOCK_open));
+    pthread_mutex_lock(&LOCK_open);
   if (!tables)
   {
     refresh_version++;				// Force close of open tables
@@ -661,14 +661,14 @@
       if (hash_delete(&open_cache,(uchar*) unused_tables))
 	printf("Warning: Couldn't delete open table from hash\n");
 #else
-      VOID(hash_delete(&open_cache,(uchar*) unused_tables));
+      hash_delete(&open_cache,(uchar*) unused_tables);
 #endif
     }
     /* Free table shares */
     while (oldest_unused_share->next)
     {
       pthread_mutex_lock(&oldest_unused_share->mutex);
-      VOID(hash_delete(&table_def_cache, (uchar*) oldest_unused_share));
+      hash_delete(&table_def_cache, (uchar*) oldest_unused_share);
     }
     if (wait_for_refresh)
     {
@@ -797,7 +797,7 @@
     }
   }
   if (!have_lock)
-    VOID(pthread_mutex_unlock(&LOCK_open));
+    pthread_mutex_unlock(&LOCK_open);
   if (wait_for_refresh)
   {
     pthread_mutex_lock(&thd->mysys_var->mutex);
@@ -826,7 +826,7 @@
   memset(&tmp, 0, sizeof(TableList));
 
   if (!have_lock)
-    VOID(pthread_mutex_lock(&LOCK_open));
+    pthread_mutex_lock(&LOCK_open);
 
   for (idx= 0; idx < table_def_cache.records; idx++)
   {
@@ -859,7 +859,7 @@
     result= close_cached_tables(thd, tables, true, false, false);
 
   if (!have_lock)
-    VOID(pthread_mutex_unlock(&LOCK_open));
+    pthread_mutex_unlock(&LOCK_open);
 
   if (if_wait_for_refresh)
   {
@@ -947,7 +947,7 @@
 
   safe_mutex_assert_not_owner(&LOCK_open);
 
-  VOID(pthread_mutex_lock(&LOCK_open));
+  pthread_mutex_lock(&LOCK_open);
 
   while (thd->open_tables)
     found_old_table|= close_thread_table(thd, &thd->open_tables);
@@ -955,14 +955,14 @@
 
   /* Free tables to hold down open files */
   while (open_cache.records > table_cache_size && unused_tables)
-    VOID(hash_delete(&open_cache,(uchar*) unused_tables)); /* purecov: tested */
+    hash_delete(&open_cache,(uchar*) unused_tables); /* purecov: tested */
   if (found_old_table)
   {
     /* Tell threads waiting for refresh that something has happened */
     broadcast_refresh();
   }
 
-  VOID(pthread_mutex_unlock(&LOCK_open));
+  pthread_mutex_unlock(&LOCK_open);
 }
 
 
@@ -1090,7 +1090,7 @@
   if (table->needs_reopen_or_name_lock() ||
       thd->version != refresh_version || !table->db_stat)
   {
-    VOID(hash_delete(&open_cache,(uchar*) table));
+    hash_delete(&open_cache,(uchar*) table);
     found_old_table=1;
   }
   else
@@ -1646,7 +1646,7 @@
       /* Remove table from open_tables list. */
       *prev= list->next;
       /* Close table. */
-      VOID(hash_delete(&open_cache,(uchar*) list)); // Close table
+      hash_delete(&open_cache,(uchar*) list); // Close table
     }
     else
     {
@@ -1688,14 +1688,14 @@
   else
   {
     handlerton *table_type= table->s->db_type();
-    VOID(pthread_mutex_lock(&LOCK_open));
+    pthread_mutex_lock(&LOCK_open);
     /*
       unlink_open_table() also tells threads waiting for refresh or close
       that something has happened.
     */
     unlink_open_table(thd, table, false);
     quick_rm_table(table_type, db_name, table_name, 0);
-    VOID(pthread_mutex_unlock(&LOCK_open));
+    pthread_mutex_unlock(&LOCK_open);
   }
 }
 
@@ -1944,23 +1944,23 @@
   uint key_length;
 
   key_length= (uint)(stpcpy(stpcpy(key, db) + 1, table_name) - key) + 1;
-  VOID(pthread_mutex_lock(&LOCK_open));
+  pthread_mutex_lock(&LOCK_open);
 
   if (hash_search(&open_cache, (uchar *)key, key_length))
   {
-    VOID(pthread_mutex_unlock(&LOCK_open));
+    pthread_mutex_unlock(&LOCK_open);
     *table= 0;
     return(false);
   }
   if (!(*table= table_cache_insert_placeholder(thd, key, key_length)))
   {
-    VOID(pthread_mutex_unlock(&LOCK_open));
+    pthread_mutex_unlock(&LOCK_open);
     return(true);
   }
   (*table)->open_placeholder= 1;
   (*table)->next= thd->open_tables;
   thd->open_tables= *table;
-  VOID(pthread_mutex_unlock(&LOCK_open));
+  pthread_mutex_unlock(&LOCK_open);
   return(false);
 }
 
@@ -2227,7 +2227,7 @@
     on disk.
   */
 
-  VOID(pthread_mutex_lock(&LOCK_open));
+  pthread_mutex_lock(&LOCK_open);
 
   /*
     If it's the first table from a list of tables used in a query,
@@ -2245,7 +2245,7 @@
     /* Someone did a refresh while thread was opening tables */
     if (refresh)
       *refresh=1;
-    VOID(pthread_mutex_unlock(&LOCK_open));
+    pthread_mutex_unlock(&LOCK_open);
     return(0);
   }
 
@@ -2305,7 +2305,7 @@
       /* Avoid self-deadlocks by detecting self-dependencies. */
       if (table->open_placeholder && table->in_use == thd)
       {
-	VOID(pthread_mutex_unlock(&LOCK_open));
+	pthread_mutex_unlock(&LOCK_open);
         my_error(ER_UPDATE_TABLE_USED, MYF(0), table->s->table_name.str);
         return(0);
       }
@@ -2346,7 +2346,7 @@
       }
       else
       {
-	VOID(pthread_mutex_unlock(&LOCK_open));
+	pthread_mutex_unlock(&LOCK_open);
       }
       /*
         There is a refresh in progress for this table.
@@ -2376,7 +2376,7 @@
     int error;
     /* Free cache if too big */
     while (open_cache.records > table_cache_size && unused_tables)
-      VOID(hash_delete(&open_cache,(uchar*) unused_tables)); /* purecov: tested */
+      hash_delete(&open_cache,(uchar*) unused_tables); /* purecov: tested */
 
     if (table_list->create)
     {
@@ -2384,7 +2384,7 @@
 
       if (check_if_table_exists(thd, table_list, &exists))
       {
-        VOID(pthread_mutex_unlock(&LOCK_open));
+        pthread_mutex_unlock(&LOCK_open);
         return(NULL);
       }
 
@@ -2395,7 +2395,7 @@
         */
         if (!(table= table_cache_insert_placeholder(thd, key, key_length)))
         {
-          VOID(pthread_mutex_unlock(&LOCK_open));
+          pthread_mutex_unlock(&LOCK_open);
           return(NULL);
         }
         /*
@@ -2406,7 +2406,7 @@
         table->open_placeholder= 1;
         table->next= thd->open_tables;
         thd->open_tables= table;
-        VOID(pthread_mutex_unlock(&LOCK_open));
+        pthread_mutex_unlock(&LOCK_open);
         return(table);
       }
       /* Table exists. Let us try to open it. */
@@ -2415,7 +2415,7 @@
     /* make a new table */
     if (!(table=(Table*) my_malloc(sizeof(*table),MYF(MY_WME))))
     {
-      VOID(pthread_mutex_unlock(&LOCK_open));
+      pthread_mutex_unlock(&LOCK_open);
       return(NULL);
     }
 
@@ -2424,19 +2424,19 @@
     if (error > 0)
     {
       my_free((uchar*)table, MYF(0));
-      VOID(pthread_mutex_unlock(&LOCK_open));
+      pthread_mutex_unlock(&LOCK_open);
       return(NULL);
     }
     if (error < 0)
     {
       my_free((uchar*)table, MYF(0));
-      VOID(pthread_mutex_unlock(&LOCK_open));
+      pthread_mutex_unlock(&LOCK_open);
       return(0); // VIEW
     }
-    VOID(my_hash_insert(&open_cache,(uchar*) table));
+    my_hash_insert(&open_cache,(uchar*) table);
   }
 
-  VOID(pthread_mutex_unlock(&LOCK_open));
+  pthread_mutex_unlock(&LOCK_open);
   if (refresh)
   {
     table->next=thd->open_tables;		/* Link into simple list */
@@ -2560,7 +2560,7 @@
   tmp.prev=		table->prev;
 
   if (table->file)
-    VOID(closefrm(table, 1));		// close file, free everything
+    closefrm(table, 1);		// close file, free everything
 
   *table= tmp;
   table->default_column_bitmaps();
@@ -2703,7 +2703,7 @@
     if (!tables || (!db_stat && reopen_table(table)))
     {
       my_error(ER_CANT_REOPEN_TABLE, MYF(0), table->alias);
-      VOID(hash_delete(&open_cache,(uchar*) table));
+      hash_delete(&open_cache,(uchar*) table);
       error=1;
     }
     else
@@ -2968,7 +2968,7 @@
       else
       {
         /* We already have a name lock, remove copy */
-        VOID(hash_delete(&open_cache,(uchar*) table));
+        hash_delete(&open_cache,(uchar*) table);
       }
     }
     else
@@ -6242,7 +6242,7 @@
           So we hide error messages which happnes during deleting of these
           files(MYF(0)).
         */
-        VOID(my_delete(filePath, MYF(0))); 
+        my_delete(filePath, MYF(0)); 
       }
     }
     my_dirend(dirp);
@@ -6284,7 +6284,7 @@
     }
   }
   while (unused_tables && !unused_tables->s->version)
-    VOID(hash_delete(&open_cache,(uchar*) unused_tables));
+    hash_delete(&open_cache,(uchar*) unused_tables);
 }
 
 
@@ -6382,7 +6382,7 @@
         result= result || (flags & RTFC_OWNED_BY_THD_FLAG);
     }
     while (unused_tables && !unused_tables->s->version)
-      VOID(hash_delete(&open_cache,(uchar*) unused_tables));
+      hash_delete(&open_cache,(uchar*) unused_tables);
 
     /* Remove table from table definition cache if it's not in use */
     if ((share= (TABLE_SHARE*) hash_search(&table_def_cache,(uchar*) key,
@@ -6392,7 +6392,7 @@
       if (share->ref_count == 0)
       {
         pthread_mutex_lock(&share->mutex);
-        VOID(hash_delete(&table_def_cache, (uchar*) share));
+        hash_delete(&table_def_cache, (uchar*) share);
       }
     }
 

=== modified file 'drizzled/sql_connect.cc'
--- drizzled/sql_connect.cc	2008-09-15 00:45:28 +0000
+++ drizzled/sql_connect.cc	2008-09-23 14:19:48 +0000
@@ -119,7 +119,7 @@
   {
     pthread_mutex_lock(&LOCK_connection_count);
     bool count_ok= connection_count <= max_connections;
-    VOID(pthread_mutex_unlock(&LOCK_connection_count));
+    pthread_mutex_unlock(&LOCK_connection_count);
 
     if (!count_ok)
     {                                         // too many connections

=== modified file 'drizzled/sql_db.cc'
--- drizzled/sql_db.cc	2008-09-04 18:16:51 +0000
+++ drizzled/sql_db.cc	2008-09-23 14:19:48 +0000
@@ -556,7 +556,7 @@
     goto exit2;
   }
 
-  VOID(pthread_mutex_lock(&LOCK_mysql_create_db));
+  pthread_mutex_lock(&LOCK_mysql_create_db);
 
   /* Check directory */
   path_len= build_table_filename(path, sizeof(path), db, "", "", 0);
@@ -666,7 +666,7 @@
   }
 
 exit:
-  VOID(pthread_mutex_unlock(&LOCK_mysql_create_db));
+  pthread_mutex_unlock(&LOCK_mysql_create_db);
   start_waiting_global_read_lock(thd);
 exit2:
   return(error);
@@ -696,7 +696,7 @@
   if ((error=wait_if_global_read_lock(thd,0,1)))
     goto exit2;
 
-  VOID(pthread_mutex_lock(&LOCK_mysql_create_db));
+  pthread_mutex_lock(&LOCK_mysql_create_db);
 
   /* 
      Recreate db options file: /dbpath/.db.opt
@@ -741,7 +741,7 @@
   my_ok(thd, result);
 
 exit:
-  VOID(pthread_mutex_unlock(&LOCK_mysql_create_db));
+  pthread_mutex_unlock(&LOCK_mysql_create_db);
   start_waiting_global_read_lock(thd);
 exit2:
   return(error);
@@ -798,7 +798,7 @@
     goto exit2;
   }
 
-  VOID(pthread_mutex_lock(&LOCK_mysql_create_db));
+  pthread_mutex_lock(&LOCK_mysql_create_db);
 
   /*
     This statement will be replicated as a statement, even when using
@@ -924,7 +924,7 @@
   */
   if (thd->db && !strcmp(thd->db, db))
     mysql_change_db_impl(thd, NULL, thd->variables.collation_server);
-  VOID(pthread_mutex_unlock(&LOCK_mysql_create_db));
+  pthread_mutex_unlock(&LOCK_mysql_create_db);
   start_waiting_global_read_lock(thd);
 exit2:
   return(error);
@@ -982,9 +982,9 @@
         goto err;
       table_list->db= (char*) (table_list+1);
       table_list->table_name= stpcpy(table_list->db, db) + 1;
-      VOID(filename_to_tablename(file->name, table_list->table_name,
-                                 MYSQL50_TABLE_NAME_PREFIX_LENGTH +
-                                 strlen(file->name) + 1));
+      filename_to_tablename(file->name, table_list->table_name,
+                            MYSQL50_TABLE_NAME_PREFIX_LENGTH +
+                            strlen(file->name) + 1);
       table_list->alias= table_list->table_name;	// If lower_case_table_names=2
       table_list->internal_tmp_table= is_prefix(file->name, tmp_file_prefix);
       /* Link into list */

=== modified file 'drizzled/sql_delete.cc'
--- drizzled/sql_delete.cc	2008-09-23 01:53:40 +0000
+++ drizzled/sql_delete.cc	2008-09-23 14:19:48 +0000
@@ -907,10 +907,10 @@
   // crashes, replacement works.  *(path + path_length - reg_ext_length)=
   // '\0';
   path[path_length - reg_ext_length] = 0;
-  VOID(pthread_mutex_lock(&LOCK_open));
+  pthread_mutex_lock(&LOCK_open);
   error= ha_create_table(thd, path, table_list->db, table_list->table_name,
                          &create_info, 1);
-  VOID(pthread_mutex_unlock(&LOCK_open));
+  pthread_mutex_unlock(&LOCK_open);
 
 end:
   if (!dont_send_ok)
@@ -924,15 +924,15 @@
       write_bin_log(thd, true, thd->query, thd->query_length);
       my_ok(thd);		// This should return record count
     }
-    VOID(pthread_mutex_lock(&LOCK_open));
+    pthread_mutex_lock(&LOCK_open);
     unlock_table_name(thd, table_list);
-    VOID(pthread_mutex_unlock(&LOCK_open));
+    pthread_mutex_unlock(&LOCK_open);
   }
   else if (error)
   {
-    VOID(pthread_mutex_lock(&LOCK_open));
+    pthread_mutex_lock(&LOCK_open);
     unlock_table_name(thd, table_list);
-    VOID(pthread_mutex_unlock(&LOCK_open));
+    pthread_mutex_unlock(&LOCK_open);
   }
   return(error);
 

=== modified file 'drizzled/sql_handler.cc'
--- drizzled/sql_handler.cc	2008-09-08 05:34:16 +0000
+++ drizzled/sql_handler.cc	2008-09-23 14:19:48 +0000
@@ -93,14 +93,14 @@
   {
     (*table_ptr)->file->ha_index_or_rnd_end();
     if (! is_locked)
-      VOID(pthread_mutex_lock(&LOCK_open));
+      pthread_mutex_lock(&LOCK_open);
     if (close_thread_table(thd, table_ptr))
     {
       /* Tell threads waiting for refresh that something has happened */
       broadcast_refresh();
     }
     if (! is_locked)
-      VOID(pthread_mutex_unlock(&LOCK_open));
+      pthread_mutex_unlock(&LOCK_open);
   }
   else if (tables->table)
   {

=== modified file 'drizzled/sql_insert.cc'
--- drizzled/sql_insert.cc	2008-08-19 23:26:33 +0000
+++ drizzled/sql_insert.cc	2008-09-23 14:19:48 +0000
@@ -1667,7 +1667,7 @@
 
       if (!(create_info->options & HA_LEX_CREATE_TMP_TABLE))
       {
-        VOID(pthread_mutex_lock(&LOCK_open));
+        pthread_mutex_lock(&LOCK_open);
         if (reopen_name_locked_table(thd, create_table, false))
         {
           quick_rm_table(create_info->db_type, create_table->db,
@@ -1676,7 +1676,7 @@
         }
         else
           table= create_table->table;
-        VOID(pthread_mutex_unlock(&LOCK_open));
+        pthread_mutex_unlock(&LOCK_open);
       }
       else
       {

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2008-09-22 23:53:43 +0000
+++ drizzled/sql_parse.cc	2008-09-23 14:19:48 +0000
@@ -520,7 +520,7 @@
   thd->enable_slow_log= true;
   thd->lex->sql_command= SQLCOM_END; /* to avoid confusing VIEW detectors */
   thd->set_time();
-  VOID(pthread_mutex_lock(&LOCK_thread_count));
+  pthread_mutex_lock(&LOCK_thread_count);
   thd->query_id= global_query_id;
 
   switch( command ) {
@@ -535,7 +535,7 @@
 
   thread_running++;
   /* TODO: set thd->lex->sql_command to SQLCOM_END here */
-  VOID(pthread_mutex_unlock(&LOCK_thread_count));
+  pthread_mutex_unlock(&LOCK_thread_count);
 
   thd->server_status&=
            ~(SERVER_QUERY_NO_INDEX_USED | SERVER_QUERY_NO_GOOD_INDEX_USED);
@@ -696,7 +696,7 @@
         length--;
       }
 
-      VOID(pthread_mutex_lock(&LOCK_thread_count));
+      pthread_mutex_lock(&LOCK_thread_count);
       thd->query_length= length;
       thd->query= beginning_of_next_stmt;
       /*
@@ -706,7 +706,7 @@
       thd->query_id= next_query_id();
       thd->set_time(); /* Reset the query start time. */
       /* TODO: set thd->lex->sql_command to SQLCOM_END here */
-      VOID(pthread_mutex_unlock(&LOCK_thread_count));
+      pthread_mutex_unlock(&LOCK_thread_count);
 
       mysql_parse(thd, beginning_of_next_stmt, length, &end_of_stmt);
     }
@@ -898,13 +898,13 @@
   log_slow_statement(thd);
 
   thd_proc_info(thd, "cleaning up");
-  VOID(pthread_mutex_lock(&LOCK_thread_count)); // For process list
+  pthread_mutex_lock(&LOCK_thread_count); // For process list
   thd_proc_info(thd, 0);
   thd->command=COM_SLEEP;
   thd->query=0;
   thd->query_length=0;
   thread_running--;
-  VOID(pthread_mutex_unlock(&LOCK_thread_count));
+  pthread_mutex_unlock(&LOCK_thread_count);
   thd->packet.shrink(thd->variables.net_buffer_length);	// Reclaim some memory
   free_root(thd->mem_root,MYF(MY_KEEP_PREALLOC));
   return(error);
@@ -3791,7 +3791,7 @@
 {
   THD *tmp;
   uint error=ER_NO_SUCH_THREAD;
-  VOID(pthread_mutex_lock(&LOCK_thread_count)); // For unlink from list
+  pthread_mutex_lock(&LOCK_thread_count); // For unlink from list
   I_List_iterator<THD> it(threads);
   while ((tmp=it++))
   {
@@ -3803,7 +3803,7 @@
       break;
     }
   }
-  VOID(pthread_mutex_unlock(&LOCK_thread_count));
+  pthread_mutex_unlock(&LOCK_thread_count);
   if (tmp)
   {
     tmp->awake(only_kill_query ? THD::KILL_QUERY : THD::KILL_CONNECTION);

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2008-09-23 01:53:40 +0000
+++ drizzled/sql_select.cc	2008-09-23 14:19:48 +0000
@@ -4453,7 +4453,7 @@
           keyuse.null_rejecting= key_field->null_rejecting;
           keyuse.cond_guard= key_field->cond_guard;
           keyuse.sj_pred_no= key_field->sj_pred_no;
-	  VOID(insert_dynamic(keyuse_array,(uchar*) &keyuse));
+	  insert_dynamic(keyuse_array,(uchar*) &keyuse);
 	}
       }
     }
@@ -4682,7 +4682,7 @@
 	  (qsort_cmp) sort_keyuse);
 
     memset(&key_end, 0, sizeof(key_end)); /* Add for easy testing */
-    VOID(insert_dynamic(keyuse,(uchar*) &key_end));
+    insert_dynamic(keyuse,(uchar*) &key_end);
 
     use=save_pos=dynamic_element(keyuse,0,KEYUSE*);
     prev= &key_end;
@@ -4715,7 +4715,7 @@
       save_pos++;
     }
     i=(uint) (save_pos-(KEYUSE*) keyuse->buffer);
-    VOID(set_dynamic(keyuse,(uchar*) &key_end,i));
+    set_dynamic(keyuse,(uchar*) &key_end,i);
     keyuse->elements=i;
   }
   return false;
@@ -10277,7 +10277,7 @@
 	li.remove();
       else if (item != new_item)
       {
-	VOID(li.replace(new_item));
+	li.replace(new_item);
 	should_fix_fields=1;
       }
       if (*cond_value == Item::COND_UNDEF)
@@ -10602,7 +10602,7 @@
 
   if (table)
   {
-    VOID(table->file->extra(HA_EXTRA_WRITE_CACHE));
+    table->file->extra(HA_EXTRA_WRITE_CACHE);
     empty_record(table);
     if (table->group && join->tmp_table_param.sum_func_count &&
         table->s->keys && !table->file->inited)
@@ -12015,7 +12015,7 @@
       if (end_of_records)
 	return(NESTED_LOOP_OK);
       join->first_record=1;
-      VOID(test_if_item_cache_changed(join->group_fields));
+      test_if_item_cache_changed(join->group_fields);
     }
     if (idx < (int) join->send_group_parts)
     {
@@ -12273,7 +12273,7 @@
       if (end_of_records)
 	return(NESTED_LOOP_OK);
       join->first_record=1;
-      VOID(test_if_item_cache_changed(join->group_fields));
+      test_if_item_cache_changed(join->group_fields);
     }
     if (idx < (int) join->send_group_parts)
     {

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2008-09-22 23:53:43 +0000
+++ drizzled/sql_table.cc	2008-09-23 14:19:48 +0000
@@ -162,9 +162,9 @@
   if (flags & FN_IS_TMP) // FN_FROM_IS_TMP | FN_TO_IS_TMP
     stpncpy(tbbuff, table_name, sizeof(tbbuff));
   else
-    VOID(tablename_to_filename(table_name, tbbuff, sizeof(tbbuff)));
+    tablename_to_filename(table_name, tbbuff, sizeof(tbbuff));
 
-  VOID(tablename_to_filename(db, dbbuff, sizeof(dbbuff)));
+  tablename_to_filename(db, dbbuff, sizeof(dbbuff));
 
   char *end = buff + bufflen;
   /* Don't add FN_ROOTDIR if mysql_data_home already includes it */
@@ -1788,7 +1788,7 @@
     goto err;
   }
 
-  VOID(pthread_mutex_lock(&LOCK_open));
+  pthread_mutex_lock(&LOCK_open);
   if (!internal_tmp_table && !(create_info->options & HA_LEX_CREATE_TMP_TABLE))
   {
     if (!access(path,F_OK))
@@ -1904,7 +1904,7 @@
     write_bin_log(thd, true, thd->query, thd->query_length);
   error= false;
 unlock_and_end:
-  VOID(pthread_mutex_unlock(&LOCK_open));
+  pthread_mutex_unlock(&LOCK_open);
 
 err:
   thd_proc_info(thd, "After create");
@@ -2146,7 +2146,7 @@
 
   safe_mutex_assert_owner(&LOCK_open);
 
-  VOID(table->file->extra(function));
+  table->file->extra(function);
   /* Mark all tables that are in use as 'old' */
   mysql_lock_abort(thd, table, true);	/* end threads waiting on lock */
 
@@ -2972,12 +2972,12 @@
     Also some engines (e.g. NDB cluster) require that LOCK_open should be held
     during the call to ha_create_table(). See bug #28614 for more info.
   */
-  VOID(pthread_mutex_lock(&LOCK_open));
+  pthread_mutex_lock(&LOCK_open);
   if (src_table->schema_table)
   {
     if (mysql_create_like_schema_frm(thd, src_table, dst_path, create_info))
     {
-      VOID(pthread_mutex_unlock(&LOCK_open));
+      pthread_mutex_unlock(&LOCK_open);
       goto err;
     }
   }
@@ -2987,7 +2987,7 @@
       my_error(ER_BAD_DB_ERROR,MYF(0),db);
     else
       my_error(ER_CANT_CREATE_FILE,MYF(0),dst_path,my_errno);
-    VOID(pthread_mutex_unlock(&LOCK_open));
+    pthread_mutex_unlock(&LOCK_open);
     goto err;
   }
 
@@ -3000,7 +3000,7 @@
   if (thd->variables.keep_files_on_create)
     create_info->options|= HA_CREATE_KEEP_FILES;
   err= ha_create_table(thd, dst_path, db, table_name, create_info, 1);
-  VOID(pthread_mutex_unlock(&LOCK_open));
+  pthread_mutex_unlock(&LOCK_open);
 
   if (create_info->options & HA_LEX_CREATE_TMP_TABLE)
   {
@@ -3055,13 +3055,13 @@
           of this function.
         */
         table->table= name_lock;
-        VOID(pthread_mutex_lock(&LOCK_open));
+        pthread_mutex_lock(&LOCK_open);
         if (reopen_name_locked_table(thd, table, false))
         {
-          VOID(pthread_mutex_unlock(&LOCK_open));
+          pthread_mutex_unlock(&LOCK_open);
           goto err;
         }
-        VOID(pthread_mutex_unlock(&LOCK_open));
+        pthread_mutex_unlock(&LOCK_open);
 
         int result= store_create_info(thd, table, &query,
                                                create_info);
@@ -3845,7 +3845,7 @@
     The final .frm file is already created as a temporary file
     and will be renamed to the original table name.
   */
-  VOID(pthread_mutex_lock(&LOCK_open));
+  pthread_mutex_lock(&LOCK_open);
   wait_while_table_is_used(thd, table, HA_EXTRA_FORCE_REOPEN);
   alter_table_manage_keys(table, table->file->indexes_are_disabled(),
                           keys_onoff);
@@ -3859,11 +3859,11 @@
                          table->s->table_name.str, FN_FROM_IS_TMP))
   {
     error= 1;
-    VOID(pthread_mutex_unlock(&LOCK_open));
+    pthread_mutex_unlock(&LOCK_open);
     goto err;
   }
   broadcast_refresh();
-  VOID(pthread_mutex_unlock(&LOCK_open));
+  pthread_mutex_unlock(&LOCK_open);
 
   /*
     The ALTER Table is always in its own transaction.
@@ -3879,13 +3879,13 @@
     goto err;
   if (online)
   {
-    VOID(pthread_mutex_lock(&LOCK_open));
+    pthread_mutex_lock(&LOCK_open);
     if (reopen_table(table))
     {
       error= -1;
       goto err;
     }
-    VOID(pthread_mutex_unlock(&LOCK_open));
+    pthread_mutex_unlock(&LOCK_open);
     t_table= table;
 
    /*
@@ -3904,9 +3904,9 @@
     */
     assert(t_table == table);
     table->open_placeholder= 1;
-    VOID(pthread_mutex_lock(&LOCK_open));
+    pthread_mutex_lock(&LOCK_open);
     close_handle_and_leave_table_as_lock(table);
-    VOID(pthread_mutex_unlock(&LOCK_open));
+    pthread_mutex_unlock(&LOCK_open);
   }
 
  err:
@@ -4528,16 +4528,16 @@
         while the fact that the table is still open gives us protection
         from concurrent DDL statements.
       */
-      VOID(pthread_mutex_lock(&LOCK_open));
+      pthread_mutex_lock(&LOCK_open);
       wait_while_table_is_used(thd, table, HA_EXTRA_FORCE_REOPEN);
-      VOID(pthread_mutex_unlock(&LOCK_open));
+      pthread_mutex_unlock(&LOCK_open);
       error= table->file->ha_enable_indexes(HA_KEY_SWITCH_NONUNIQ_SAVE);
       /* COND_refresh will be signaled in close_thread_tables() */
       break;
     case DISABLE:
-      VOID(pthread_mutex_lock(&LOCK_open));
+      pthread_mutex_lock(&LOCK_open);
       wait_while_table_is_used(thd, table, HA_EXTRA_FORCE_REOPEN);
-      VOID(pthread_mutex_unlock(&LOCK_open));
+      pthread_mutex_unlock(&LOCK_open);
       error=table->file->ha_disable_indexes(HA_KEY_SWITCH_NONUNIQ_SAVE);
       /* COND_refresh will be signaled in close_thread_tables() */
       break;
@@ -4554,7 +4554,7 @@
 			  table->alias);
     }
 
-    VOID(pthread_mutex_lock(&LOCK_open));
+    pthread_mutex_lock(&LOCK_open);
     /*
       Unlike to the above case close_cached_table() below will remove ALL
       instances of Table from table cache (it will also remove table lock
@@ -4592,8 +4592,8 @@
 	  error= -1;
         else if (0)
       {
-          VOID(mysql_rename_table(old_db_type, new_db, new_alias, db,
-                                  table_name, 0));
+          mysql_rename_table(old_db_type, new_db, new_alias, db,
+                             table_name, 0);
           error= -1;
       }
     }
@@ -4619,7 +4619,7 @@
     }
     if (name_lock)
       unlink_open_table(thd, name_lock, false);
-    VOID(pthread_mutex_unlock(&LOCK_open));
+    pthread_mutex_unlock(&LOCK_open);
     table_list->table= NULL;                    // For query cache
     return(error);
   }
@@ -4834,9 +4834,9 @@
   }
   else
   {
-    VOID(pthread_mutex_lock(&LOCK_open));
+    pthread_mutex_lock(&LOCK_open);
     wait_while_table_is_used(thd, table, HA_EXTRA_FORCE_REOPEN);
-    VOID(pthread_mutex_unlock(&LOCK_open));
+    pthread_mutex_unlock(&LOCK_open);
     alter_table_manage_keys(table, table->file->indexes_are_disabled(),
                             alter_info->keys_onoff);
     error= ha_autocommit_or_rollback(thd, 0);
@@ -4876,11 +4876,11 @@
     intern_close_table(new_table);
     my_free(new_table,MYF(0));
   }
-  VOID(pthread_mutex_lock(&LOCK_open));
+  pthread_mutex_lock(&LOCK_open);
   if (error)
   {
-    VOID(quick_rm_table(new_db_type, new_db, tmp_name, FN_IS_TMP));
-    VOID(pthread_mutex_unlock(&LOCK_open));
+    quick_rm_table(new_db_type, new_db, tmp_name, FN_IS_TMP);
+    pthread_mutex_unlock(&LOCK_open);
     goto err;
   }
 
@@ -4929,17 +4929,17 @@
                          FN_TO_IS_TMP))
   {
     error=1;
-    VOID(quick_rm_table(new_db_type, new_db, tmp_name, FN_IS_TMP));
+    quick_rm_table(new_db_type, new_db, tmp_name, FN_IS_TMP);
   }
   else if (mysql_rename_table(new_db_type, new_db, tmp_name, new_db,
                               new_alias, FN_FROM_IS_TMP) || ((new_name != table_name || new_db != db) && 0))
   {
     /* Try to get everything back. */
     error=1;
-    VOID(quick_rm_table(new_db_type,new_db,new_alias, 0));
-    VOID(quick_rm_table(new_db_type, new_db, tmp_name, FN_IS_TMP));
-    VOID(mysql_rename_table(old_db_type, db, old_name, db, alias,
-                            FN_FROM_IS_TMP));
+    quick_rm_table(new_db_type,new_db,new_alias, 0);
+    quick_rm_table(new_db_type, new_db, tmp_name, FN_IS_TMP);
+    mysql_rename_table(old_db_type, db, old_name, db, alias,
+                       FN_FROM_IS_TMP);
   }
 
   if (error)
@@ -4948,7 +4948,7 @@
     goto err_with_placeholders;
   }
 
-  VOID(quick_rm_table(old_db_type, db, old_name, FN_IS_TMP));
+  quick_rm_table(old_db_type, db, old_name, FN_IS_TMP);
 
 end_online:
   if (thd->locked_tables && new_name == table_name && new_db == db)
@@ -4959,7 +4959,7 @@
     if (error)
       goto err_with_placeholders;
   }
-  VOID(pthread_mutex_unlock(&LOCK_open));
+  pthread_mutex_unlock(&LOCK_open);
 
   thd_proc_info(thd, "end");
 
@@ -5024,7 +5024,7 @@
     close_temporary_table(thd, new_table, 1, 1);
   }
   else
-    VOID(quick_rm_table(new_db_type, new_db, tmp_name, FN_IS_TMP));
+    quick_rm_table(new_db_type, new_db, tmp_name, FN_IS_TMP);
 
 err:
   /*
@@ -5075,7 +5075,7 @@
   unlink_open_table(thd, table, false);
   if (name_lock)
     unlink_open_table(thd, name_lock, false);
-  VOID(pthread_mutex_unlock(&LOCK_open));
+  pthread_mutex_unlock(&LOCK_open);
   return(true);
 }
 /* mysql_alter_table */

=== modified file 'drizzled/sql_update.cc'
--- drizzled/sql_update.cc	2008-08-20 15:38:22 +0000
+++ drizzled/sql_update.cc	2008-09-23 14:19:48 +0000
@@ -651,7 +651,7 @@
   end_read_record(&info);
   delete select;
   thd_proc_info(thd, "end");
-  VOID(table->file->extra(HA_EXTRA_NO_IGNORE_DUP_KEY));
+  table->file->extra(HA_EXTRA_NO_IGNORE_DUP_KEY);
 
   /*
     error < 0 means really no error at all: we processed all rows until the
@@ -1484,7 +1484,7 @@
          todo/fixme: do_update() is never called with the arg 1.
          should it change the signature to become argless?
       */
-      VOID(do_updates());
+      do_updates();
     }
   }
   if (thd->transaction.stmt.modified_non_trans_table)

=== modified file 'drizzled/stacktrace.c'
--- drizzled/stacktrace.c	2008-09-23 00:10:39 +0000
+++ drizzled/stacktrace.c	2008-09-23 14:19:48 +0000
@@ -17,9 +17,6 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-/* Workaround for Bug#32082: VOID redefinition on Win results in compile errors*/
-#define DONT_DEFINE_VOID 1
-
 #include "stacktrace.h"
 
 #include <signal.h>

=== modified file 'drizzled/uniques.cc'
--- drizzled/uniques.cc	2008-09-23 06:09:48 +0000
+++ drizzled/uniques.cc	2008-09-23 14:19:48 +0000
@@ -70,8 +70,8 @@
   */
   max_elements= (ulong) (max_in_memory_size /
                          ALIGN_SIZE(sizeof(TREE_ELEMENT)+size));
-  VOID(open_cached_file(&file, mysql_tmpdir,TEMP_PREFIX, DISK_BUFFER_SIZE,
-		   MYF(MY_WME)));
+  open_cached_file(&file, mysql_tmpdir,TEMP_PREFIX, DISK_BUFFER_SIZE,
+                   MYF(MY_WME));
 }
 
 

=== modified file 'drizzled/unireg.cc'
--- drizzled/unireg.cc	2008-09-22 23:53:43 +0000
+++ drizzled/unireg.cc	2008-09-23 14:19:48 +0000
@@ -220,7 +220,7 @@
   key_buff_length= uint4korr(fileinfo+47);
   keybuff=(uchar*) my_malloc(key_buff_length, MYF(0));
   key_info_length= pack_keys(keybuff, keys, key_info, data_offset);
-  VOID(get_form_pos(file,fileinfo,&formnames));
+  get_form_pos(file,fileinfo,&formnames);
   if (!(filepos=make_new_entry(file,fileinfo,&formnames,"")))
     goto err;
   maxlength=(uint) next_io_size((ulong) (uint2korr(forminfo)+1000));
@@ -236,9 +236,9 @@
   if (pwrite(file, fileinfo, 64, 0L) == 0 ||
       pwrite(file, keybuff, key_info_length, (ulong) uint2korr(fileinfo+6)) == 0)
     goto err;
-  VOID(my_seek(file,
+  my_seek(file,
 	       (ulong) uint2korr(fileinfo+6)+ (ulong) key_buff_length,
-	       MY_SEEK_SET,MYF(0)));
+	       MY_SEEK_SET,MYF(0));
   if (make_empty_rec(thd,file,ha_legacy_type(create_info->db_type),
                      create_info->table_options,
 		     create_fields,reclength, data_offset, db_file))
@@ -305,7 +305,7 @@
       }
     }
   }
-  VOID(my_seek(file,filepos,MY_SEEK_SET,MYF(0)));
+  my_seek(file,filepos,MY_SEEK_SET,MYF(0));
   if (my_write(file, forminfo, 288, MYF_RW) ||
       my_write(file, screen_buff, info_length, MYF_RW) ||
       pack_fields(file, create_fields, data_offset))
@@ -344,7 +344,7 @@
   my_free(screen_buff, MYF(0));
   my_free(keybuff, MYF(0));
 err2:
-  VOID(my_close(file,MYF(MY_WME)));
+  my_close(file,MYF(MY_WME));
 err3:
   my_delete(file_name,MYF(0));
   return(1);
@@ -398,7 +398,7 @@
   return(0);
 
 err_handler:
-  VOID(file->ha_create_handler_files(path, NULL, CHF_DELETE_FLAG, create_info));
+  file->ha_create_handler_files(path, NULL, CHF_DELETE_FLAG, create_info);
   my_delete(frm_name, MYF(0));
   return(1);
 } /* rea_create_table */

=== modified file 'mysys/hash.c'
--- mysys/hash.c	2008-08-10 22:14:13 +0000
+++ mysys/hash.c	2008-09-23 14:19:48 +0000
@@ -508,7 +508,7 @@
   pos->next=empty_index;
 
 exit:
-  VOID(pop_dynamic(&hash->array));
+  pop_dynamic(&hash->array);
   if (hash->free)
     (*hash->free)((uchar*) record);
   return(0);

=== modified file 'mysys/mf_iocache2.c'
--- mysys/mf_iocache2.c	2008-09-08 04:43:41 +0000
+++ mysys/mf_iocache2.c	2008-09-23 14:19:48 +0000
@@ -110,7 +110,7 @@
      b) see if there is a better way to make it work
   */
   if (info->type == SEQ_READ_APPEND)
-    VOID(flush_io_cache(info));
+    flush_io_cache(info);
 
   offset=(pos - info->pos_in_file);
 
@@ -138,7 +138,7 @@
       info->write_pos = info->write_buffer + offset;
       return;
     }
-    VOID(flush_io_cache(info));
+    flush_io_cache(info);
     /* Correct buffer end so that we write in increments of IO_SIZE */
     info->write_end=(info->write_buffer+info->buffer_length-
 		     (pos & (IO_SIZE-1)));

=== modified file 'mysys/mf_loadpath.c'
--- mysys/mf_loadpath.c	2008-08-09 05:45:28 +0000
+++ mysys/mf_loadpath.c	2008-09-23 14:19:48 +0000
@@ -31,7 +31,7 @@
 
   if ((path[0] == FN_HOMELIB && path[1] == FN_LIBCHAR) ||
       test_if_hard_path(path))
-    VOID(stpcpy(buff,path));
+    stpcpy(buff,path);
   else if ((is_cur=(path[0] == FN_CURLIB && path[1] == FN_LIBCHAR)) ||
 	   (is_prefix(path,FN_PARENTDIR)) ||
 	   ! own_path_prefix)
@@ -39,12 +39,12 @@
     if (is_cur)
       is_cur=2;					/* Remove current dir */
     if (! my_getwd(buff,(uint) (FN_REFLEN-strlen(path)+is_cur),MYF(0)))
-      VOID(strcat(buff,path+is_cur));
+      strcat(buff,path+is_cur);
     else
-      VOID(stpcpy(buff,path));			/* Return org file name */
+      stpcpy(buff,path);			/* Return org file name */
   }
   else
-    VOID(strxmov(buff,own_path_prefix,path,NullS));
+    strxmov(buff,own_path_prefix,path,NullS);
   stpcpy(to,buff);
   return(to);
 } /* my_load_path */

=== modified file 'mysys/mf_path.c'
--- mysys/mf_path.c	2008-09-04 18:16:51 +0000
+++ mysys/mf_path.c	2008-09-23 14:19:48 +0000
@@ -42,7 +42,7 @@
 		   ((prog=getenv("_")) != 0 &&
                     dirname_part(to, prog, &to_length))))
   {
-    VOID(intern_filename(to,to));
+    intern_filename(to,to);
     if (!test_if_hard_path(to))
     {
       if (!my_getwd(curr_dir,FN_REFLEN,MYF(0)))
@@ -60,11 +60,11 @@
       end= (char*) "/my/";
 #endif
     }
-    VOID(intern_filename(to,end));
+    intern_filename(to,end);
     to= strchr(to, '\0');
     if (to != start && to[-1] != FN_LIBCHAR)
       *to++ = FN_LIBCHAR;
-    VOID(stpcpy(to,own_pathname_part));
+    stpcpy(to,own_pathname_part);
   }
   return(start);
 } /* my_path */

=== modified file 'mysys/my_copy.c'
--- mysys/my_copy.c	2008-07-28 22:45:54 +0000
+++ mysys/my_copy.c	2008-09-23 14:19:48 +0000
@@ -92,25 +92,25 @@
 
     if (MyFlags & MY_HOLD_ORIGINAL_MODES && !new_file_stat)
 	return(0);			/* File copyed but not stat */
-    VOID(chmod(to, stat_buff.st_mode & 07777)); /* Copy modes */
-    VOID(chown(to, stat_buff.st_uid,stat_buff.st_gid)); /* Copy ownership */
+    chmod(to, stat_buff.st_mode & 07777); /* Copy modes */
+    chown(to, stat_buff.st_uid,stat_buff.st_gid); /* Copy ownership */
     if (MyFlags & MY_COPYTIME)
     {
       struct utimbuf timep;
       timep.actime  = stat_buff.st_atime;
       timep.modtime = stat_buff.st_mtime;
-      VOID(utime((char*) to, &timep)); /* last accessed and modified times */
+      utime((char*) to, &timep); /* last accessed and modified times */
     }
     return(0);
   }
 
 err:
-  if (from_file >= 0) VOID(my_close(from_file,MyFlags));
+  if (from_file >= 0) my_close(from_file,MyFlags);
   if (to_file >= 0)
   {
-    VOID(my_close(to_file, MyFlags));
+    my_close(to_file, MyFlags);
     /* attempt to delete the to-file we've partially written */
-    VOID(my_delete(to, MyFlags));
+    my_delete(to, MyFlags);
   }
   return(-1);
 } /* my_copy */

=== modified file 'mysys/my_fstream.c'
--- mysys/my_fstream.c	2008-08-09 15:56:14 +0000
+++ mysys/my_fstream.c	2008-09-23 14:19:48 +0000
@@ -71,7 +71,7 @@
 #ifdef EINTR
       if (errno == EINTR)
       {
-	VOID(my_fseek(stream,seekptr,MY_SEEK_SET,MYF(0)));
+	my_fseek(stream,seekptr,MY_SEEK_SET,MYF(0));
 	continue;
       }
 #endif
@@ -84,8 +84,8 @@
         if (!(errors++ % MY_WAIT_GIVE_USER_A_MESSAGE))
           my_error(EE_DISK_FULL,MYF(ME_BELL | ME_NOREFRESH),
                    "[stream]",my_errno,MY_WAIT_FOR_USER_TO_FIX_PANIC);
-        VOID(sleep(MY_WAIT_FOR_USER_TO_FIX_PANIC));
-        VOID(my_fseek(stream,seekptr,MY_SEEK_SET,MYF(0)));
+        sleep(MY_WAIT_FOR_USER_TO_FIX_PANIC);
+        my_fseek(stream,seekptr,MY_SEEK_SET,MYF(0));
         continue;
       }
 #endif

=== modified file 'mysys/my_getwd.c'
--- mysys/my_getwd.c	2008-09-04 18:16:51 +0000
+++ mysys/my_getwd.c	2008-09-23 14:19:48 +0000
@@ -44,7 +44,7 @@
   char * pos;
 
   if (curr_dir[0])				/* Current pos is saved here */
-    VOID(strmake(buf,&curr_dir[0],size-1));
+    strmake(buf,&curr_dir[0],size-1);
   else
   {
 #if defined(HAVE_GETCWD)

=== modified file 'mysys/my_lib.c'
--- mysys/my_lib.c	2008-09-04 18:16:51 +0000
+++ mysys/my_lib.c	2008-09-23 14:19:48 +0000
@@ -134,8 +134,8 @@
         goto error;
       
       memset(finfo.mystat, 0, sizeof(struct stat));
-      VOID(stpcpy(tmp_file,dp->d_name));
-      VOID(stat(tmp_path, finfo.mystat));
+      stpcpy(tmp_file,dp->d_name);
+      stat(tmp_path, finfo.mystat);
       if (!(finfo.mystat->st_mode & S_IREAD))
         continue;
     }

=== modified file 'mysys/my_redel.c'
--- mysys/my_redel.c	2008-09-04 18:16:51 +0000
+++ mysys/my_redel.c	2008-09-23 14:19:48 +0000
@@ -83,14 +83,14 @@
   }
   if ((statbuf.st_mode & S_IFMT) != S_IFREG)
     return 1;
-  VOID(chmod(to, statbuf.st_mode & 07777));		/* Copy modes */
+  chmod(to, statbuf.st_mode & 07777);		/* Copy modes */
 
   if (statbuf.st_nlink > 1 && MyFlags & MY_LINK_WARNING)
   {
     if (MyFlags & MY_LINK_WARNING)
       my_error(EE_LINK_WARNING,MYF(ME_BELL+ME_WAITTANG),from,statbuf.st_nlink);
   }
-  VOID(chown(to, statbuf.st_uid, statbuf.st_gid));	/* Copy ownership */
+  chown(to, statbuf.st_uid, statbuf.st_gid);	/* Copy ownership */
 
 #ifndef __ZTC__
   if (MyFlags & MY_COPYTIME)
@@ -98,7 +98,7 @@
     struct utimbuf timep;
     timep.actime  = statbuf.st_atime;
     timep.modtime = statbuf.st_mtime;
-    VOID(utime((char*) to, &timep));/* Update last accessed and modified times */
+    utime((char*) to, &timep);/* Update last accessed and modified times */
   }
 #else
   if (MyFlags & MY_COPYTIME)
@@ -106,7 +106,7 @@
     time_t time[2];
     time[0]= statbuf.st_atime;
     time[1]= statbuf.st_mtime;
-    VOID(utime((char*) to, time));/* Update last accessed and modified times */
+    utime((char*) to, time);/* Update last accessed and modified times */
   }
 #endif
   return 0;

=== modified file 'mysys/my_write.c'
--- mysys/my_write.c	2008-07-17 20:11:46 +0000
+++ mysys/my_write.c	2008-09-23 14:19:48 +0000
@@ -50,7 +50,7 @@
       if (!(errors++ % MY_WAIT_GIVE_USER_A_MESSAGE))
 	my_error(EE_DISK_FULL,MYF(ME_BELL | ME_NOREFRESH),
 		 my_filename(Filedes),my_errno,MY_WAIT_FOR_USER_TO_FIX_PANIC);
-      VOID(sleep(MY_WAIT_FOR_USER_TO_FIX_PANIC));
+      sleep(MY_WAIT_FOR_USER_TO_FIX_PANIC);
       continue;
     }
 

=== modified file 'mysys/thr_alarm.c'
--- mysys/thr_alarm.c	2008-08-10 22:14:13 +0000
+++ mysys/thr_alarm.c	2008-09-23 14:19:48 +0000
@@ -94,8 +94,8 @@
     pthread_attr_setstacksize(&thr_attr,8196);
 
     my_pthread_attr_setprio(&thr_attr,100);	/* Very high priority */
-    VOID(pthread_create(&alarm_thread,&thr_attr,alarm_handler,NULL));
-    VOID(pthread_attr_destroy(&thr_attr));
+    pthread_create(&alarm_thread,&thr_attr,alarm_handler,NULL);
+    pthread_attr_destroy(&thr_attr);
   }
 #elif defined(USE_ONE_SIGNAL_HAND)
   pthread_sigmask(SIG_BLOCK, &s, NULL);		/* used with sigwait() */
@@ -654,7 +654,7 @@
 		break;
 	      continue;
 	    }
-	    VOID(getchar());			/* Somebody was playing */
+	    getchar();			/* Somebody was playing */
 	  }
 	}
       }
@@ -666,7 +666,7 @@
   }
   pthread_mutex_lock(&LOCK_thread_count);
   thread_count--;
-  VOID(pthread_cond_signal(&COND_thread_count)); /* Tell main we are ready */
+  pthread_cond_signal(&COND_thread_count); /* Tell main we are ready */
   pthread_mutex_unlock(&LOCK_thread_count);
   free((uchar*) arg);
   return 0;
@@ -695,7 +695,7 @@
   pthread_detach_this_thread();
   init_thr_alarm(10);				/* Setup alarm handler */
   pthread_mutex_lock(&LOCK_thread_count);	/* Required by bsdi */
-  VOID(pthread_cond_signal(&COND_thread_count)); /* Tell main we are ready */
+  pthread_cond_signal(&COND_thread_count); /* Tell main we are ready */
   pthread_mutex_unlock(&LOCK_thread_count);
 
   sigemptyset(&set);				/* Catch all signals */
@@ -781,7 +781,7 @@
 #ifdef NOT_USED
   sigemptyset(&set);
   sigaddset(&set, thr_client_alarm);
-  VOID(pthread_sigmask(SIG_UNBLOCK, &set, (sigset_t*) 0));
+  pthread_sigmask(SIG_UNBLOCK, &set, (sigset_t*) 0);
 #endif
 
   pthread_attr_init(&thr_attr);
@@ -790,10 +790,10 @@
   pthread_attr_setstacksize(&thr_attr,65536L);
 
   /* Start signal thread and wait for it to start */
-  VOID(pthread_mutex_lock(&LOCK_thread_count));
+  pthread_mutex_lock(&LOCK_thread_count);
   pthread_create(&tid,&thr_attr,signal_hand,NULL);
-  VOID(pthread_cond_wait(&COND_thread_count,&LOCK_thread_count));
-  VOID(pthread_mutex_unlock(&LOCK_thread_count));
+  pthread_cond_wait(&COND_thread_count,&LOCK_thread_count);
+  pthread_mutex_unlock(&LOCK_thread_count);
 
   thr_setconcurrency(3);
   pthread_attr_setscope(&thr_attr,PTHREAD_SCOPE_PROCESS);
@@ -820,7 +820,7 @@
 	 alarm_info.next_alarm_time);
   while (thread_count)
   {
-    VOID(pthread_cond_wait(&COND_thread_count,&LOCK_thread_count));
+    pthread_cond_wait(&COND_thread_count,&LOCK_thread_count);
     if (thread_count == 1)
     {
       printf("Calling end_thr_alarm. This should cancel the last thread\n");

=== modified file 'mysys/thr_lock.c'
--- mysys/thr_lock.c	2008-08-10 22:14:13 +0000
+++ mysys/thr_lock.c	2008-09-23 14:19:48 +0000
@@ -300,7 +300,7 @@
 void thr_lock_init(THR_LOCK *lock)
 {
   memset(lock, 0, sizeof(*lock));
-  VOID(pthread_mutex_init(&lock->mutex,MY_MUTEX_INIT_FAST));
+  pthread_mutex_init(&lock->mutex,MY_MUTEX_INIT_FAST);
   lock->read.last= &lock->read.data;
   lock->read_wait.last= &lock->read_wait.data;
   lock->write_wait.last= &lock->write_wait.data;
@@ -316,7 +316,7 @@
 
 void thr_lock_delete(THR_LOCK *lock)
 {
-  VOID(pthread_mutex_destroy(&lock->mutex));
+  pthread_mutex_destroy(&lock->mutex);
   pthread_mutex_lock(&THR_LOCK_lock);
   thr_lock_thread_list=list_delete(thr_lock_thread_list,&lock->list);
   pthread_mutex_unlock(&THR_LOCK_lock);
@@ -475,7 +475,7 @@
   data->cond=0;					/* safety */
   data->type=lock_type;
   data->owner= owner;                           /* Must be reset ! */
-  VOID(pthread_mutex_lock(&lock->mutex));
+  pthread_mutex_lock(&lock->mutex);
   check_locks(lock,(uint) lock_type <= (uint) TL_READ_NO_INSERT ?
 	      "enter read_lock" : "enter write_lock",0);
   if ((int) lock_type <= (int) TL_READ_NO_INSERT)
@@ -706,7 +706,7 @@
       lock->read_no_write_count++;
     }      
     data->cond=0;				/* Mark thread free */
-    VOID(pthread_cond_signal(cond));
+    pthread_cond_signal(cond);
   } while ((data=data->next));
   *lock->read_wait.last=0;
   if (!lock->read_wait.data)
@@ -806,7 +806,7 @@
 	  {
 	    pthread_cond_t *cond=data->cond;
 	    data->cond=0;				/* Mark thread free */
-	    VOID(pthread_cond_signal(cond));	/* Start waiting thread */
+	    pthread_cond_signal(cond);	/* Start waiting thread */
 	  }
 	  if (data->type != TL_WRITE_ALLOW_WRITE ||
 	      !lock->write_wait.data ||
@@ -853,7 +853,7 @@
 	lock->write.last= &data->next;
 	data->next=0;				/* Only one write lock */
 	data->cond=0;				/* Mark thread free */
-	VOID(pthread_cond_signal(cond));	/* Start waiting thread */
+	pthread_cond_signal(cond);	/* Start waiting thread */
       } while (lock_type == TL_WRITE_ALLOW_WRITE &&
 	       (data=lock->write_wait.data) &&
 	       data->type == TL_WRITE_ALLOW_WRITE);
@@ -1329,7 +1329,7 @@
   thr_print_locks();
   pthread_mutex_lock(&LOCK_thread_count);
   thread_count--;
-  VOID(pthread_cond_signal(&COND_thread_count)); /* Tell main we are ready */
+  pthread_cond_signal(&COND_thread_count); /* Tell main we are ready */
   pthread_mutex_unlock(&LOCK_thread_count);
   free((uchar*) arg);
   return 0;
@@ -1388,7 +1388,7 @@
   }
 #endif
 #ifdef HAVE_THR_SETCONCURRENCY
-  VOID(thr_setconcurrency(2));
+  thr_setconcurrency(2);
 #endif
   for (i=0 ; i < (int) array_elements(lock_counts) ; i++)
   {

=== modified file 'storage/archive/azio.c'
--- storage/archive/azio.c	2008-07-17 18:48:58 +0000
+++ storage/archive/azio.c	2008-09-23 14:19:48 +0000
@@ -704,8 +704,8 @@
 
 static unsigned int azio_enable_aio(azio_stream *s)
 {
-  VOID(pthread_cond_init(&s->container.threshhold, NULL));
-  VOID(pthread_mutex_init(&s->container.thresh_mutex, NULL));
+  pthread_cond_init(&s->container.threshhold, NULL);
+  pthread_mutex_init(&s->container.thresh_mutex, NULL);
   azio_start(s);
 
   return 0;
@@ -715,8 +715,8 @@
 {
   azio_kill(s);
 
-  VOID(pthread_mutex_destroy(&s->container.thresh_mutex));
-  VOID(pthread_cond_destroy(&s->container.threshhold));
+  pthread_mutex_destroy(&s->container.thresh_mutex);
+  pthread_cond_destroy(&s->container.threshhold);
 
   s->method= AZ_METHOD_BLOCK;
 }

=== modified file 'storage/archive/concurrency_test.c'
--- storage/archive/concurrency_test.c	2008-09-14 20:39:00 +0000
+++ storage/archive/concurrency_test.c	2008-09-23 14:19:48 +0000
@@ -93,9 +93,9 @@
   pthread_cond_init(&count_threshhold, NULL);
   pthread_mutex_init(&sleeper_mutex, NULL);
   pthread_cond_init(&sleep_threshhold, NULL);
-  VOID(pthread_mutex_init(&timer_alarm_mutex, NULL));
-  VOID(pthread_cond_init(&timer_alarm_threshold, NULL));
-  VOID(pthread_mutex_init(&row_lock, NULL));
+  pthread_mutex_init(&timer_alarm_mutex, NULL);
+  pthread_cond_init(&timer_alarm_threshold, NULL);
+  pthread_mutex_init(&row_lock, NULL);
 
   for (method= AZ_METHOD_BLOCK; method < AZ_METHOD_MAX; method++)
     scheduler(method);
@@ -104,9 +104,9 @@
   (void)pthread_cond_destroy(&count_threshhold);
   (void)pthread_mutex_destroy(&sleeper_mutex);
   (void)pthread_cond_destroy(&sleep_threshhold);
-  VOID(pthread_mutex_destroy(&timer_alarm_mutex));
-  VOID(pthread_cond_destroy(&timer_alarm_threshold));
-  VOID(pthread_mutex_destroy(&row_lock));
+  pthread_mutex_destroy(&timer_alarm_mutex);
+  pthread_cond_destroy(&timer_alarm_threshold);
+  pthread_mutex_destroy(&row_lock);
 
   return 0;
 }

=== modified file 'storage/archive/ha_archive.cc'
--- storage/archive/ha_archive.cc	2008-08-18 20:57:01 +0000
+++ storage/archive/ha_archive.cc	2008-09-23 14:19:48 +0000
@@ -176,7 +176,7 @@
   if (hash_init(&archive_open_tables, system_charset_info, 32, 0, 0,
                 (hash_get_key) archive_get_key, 0, 0))
   {
-    VOID(pthread_mutex_destroy(&archive_mutex));
+    pthread_mutex_destroy(&archive_mutex);
   }
   else
   {
@@ -200,7 +200,7 @@
 int archive_db_done(void *p __attribute__((unused)))
 {
   hash_free(&archive_open_tables);
-  VOID(pthread_mutex_destroy(&archive_mutex));
+  pthread_mutex_destroy(&archive_mutex);
 
   return 0;
 }
@@ -314,7 +314,7 @@
     /*
       We will use this lock for rows.
     */
-    VOID(pthread_mutex_init(&share->mutex,MY_MUTEX_INIT_FAST));
+    pthread_mutex_init(&share->mutex,MY_MUTEX_INIT_FAST);
     
     /*
       We read the meta file, but do not mark it dirty. Since we are not
@@ -325,7 +325,7 @@
     if (!(azopen(&archive_tmp, share->data_file_name, O_RDONLY|O_BINARY,
                  AZ_METHOD_BLOCK)))
     {
-      VOID(pthread_mutex_destroy(&share->mutex));
+      pthread_mutex_destroy(&share->mutex);
       free(share);
       pthread_mutex_unlock(&archive_mutex);
       *rc= HA_ERR_CRASHED_ON_REPAIR;
@@ -341,7 +341,7 @@
     }
     azclose(&archive_tmp);
 
-    VOID(my_hash_insert(&archive_open_tables, (uchar*) share));
+    my_hash_insert(&archive_open_tables, (uchar*) share);
     thr_lock_init(&share->lock);
   }
   share->use_count++;
@@ -366,7 +366,7 @@
   {
     hash_delete(&archive_open_tables, (uchar*) share);
     thr_lock_delete(&share->lock);
-    VOID(pthread_mutex_destroy(&share->mutex));
+    pthread_mutex_destroy(&share->mutex);
     /* 
       We need to make sure we don't reset the crashed state.
       If we open a crashed file, wee need to close it as crashed unless
@@ -1294,7 +1294,7 @@
   {
     struct stat file_stat;  // Stat information for the data file
 
-    VOID(stat(share->data_file_name, &file_stat));
+    stat(share->data_file_name, &file_stat);
 
     stats.mean_rec_length= table->getRecordLength()+ buffer.alloced_length();
     stats.data_file_length= file_stat.st_size;

=== modified file 'storage/blackhole/ha_blackhole.cc'
--- storage/blackhole/ha_blackhole.cc	2008-08-16 22:34:15 +0000
+++ storage/blackhole/ha_blackhole.cc	2008-09-23 14:19:48 +0000
@@ -280,7 +280,7 @@
   blackhole_hton->create= blackhole_create_handler;
   blackhole_hton->flags= HTON_CAN_RECREATE;
   
-  VOID(pthread_mutex_init(&blackhole_mutex, MY_MUTEX_INIT_FAST));
+  pthread_mutex_init(&blackhole_mutex, MY_MUTEX_INIT_FAST);
   (void) hash_init(&blackhole_open_tables, system_charset_info,32,0,0,
                    (hash_get_key) blackhole_get_key,
                    (hash_free_key) blackhole_free_key, 0);

=== modified file 'storage/csv/ha_tina.cc'
--- storage/csv/ha_tina.cc	2008-09-23 00:09:32 +0000
+++ storage/csv/ha_tina.cc	2008-09-23 14:19:48 +0000
@@ -103,7 +103,7 @@
   handlerton *tina_hton;
 
   tina_hton= (handlerton *)p;
-  VOID(pthread_mutex_init(&tina_mutex,MY_MUTEX_INIT_FAST));
+  pthread_mutex_init(&tina_mutex,MY_MUTEX_INIT_FAST);
   (void) hash_init(&tina_open_tables,system_charset_info,32,0,0,
                    (hash_get_key) tina_get_key,0,0);
   tina_hton->state= SHOW_OPTION_YES;
@@ -232,7 +232,7 @@
   uchar meta_buffer[META_BUFFER_SIZE];
   uchar *ptr= meta_buffer;
 
-  VOID(my_seek(meta_file, 0, MY_SEEK_SET, MYF(0)));
+  my_seek(meta_file, 0, MY_SEEK_SET, MYF(0));
   if (my_read(meta_file, (uchar*)meta_buffer, META_BUFFER_SIZE, 0)
       != META_BUFFER_SIZE)
     return(HA_ERR_CRASHED_ON_USAGE);
@@ -299,7 +299,7 @@
   ptr+= 3*sizeof(uint64_t);
   *ptr= (uchar)dirty;
 
-  VOID(my_seek(meta_file, 0, MY_SEEK_SET, MYF(0)));
+  my_seek(meta_file, 0, MY_SEEK_SET, MYF(0));
   if (my_write(meta_file, (uchar *)meta_buffer, META_BUFFER_SIZE, 0)
       != META_BUFFER_SIZE)
     return(-1);

=== modified file 'storage/csv/transparent_file.cc'
--- storage/csv/transparent_file.cc	2008-08-06 01:14:33 +0000
+++ storage/csv/transparent_file.cc	2008-09-23 14:19:48 +0000
@@ -35,7 +35,7 @@
   filedes= filedes_arg;
   /* read the beginning of the file */
   lower_bound= 0;
-  VOID(my_seek(filedes, 0, MY_SEEK_SET, MYF(0)));
+  my_seek(filedes, 0, MY_SEEK_SET, MYF(0));
   if (filedes && buff)
     upper_bound= my_read(filedes, buff, buff_size, MYF(0));
 }
@@ -85,7 +85,7 @@
   if ((lower_bound <= offset) && (offset < upper_bound))
     return buff[offset - lower_bound];
 
-  VOID(my_seek(filedes, offset, MY_SEEK_SET, MYF(0)));
+  my_seek(filedes, offset, MY_SEEK_SET, MYF(0));
   /* read appropriate portion of the file */
   if ((bytes_read= my_read(filedes, buff, buff_size,
                            MYF(0))) == MY_FILE_ERROR)

=== modified file 'storage/heap/hp_clear.c'
--- storage/heap/hp_clear.c	2008-08-05 05:01:04 +0000
+++ storage/heap/hp_clear.c	2008-09-23 14:19:48 +0000
@@ -86,7 +86,7 @@
     {
       HP_BLOCK *block= &keyinfo->block;
       if (block->levels)
-        VOID(hp_free_level(block,block->levels,block->root,(uchar*) 0));
+        hp_free_level(block,block->levels,block->root,(uchar*) 0);
       block->levels=0;
       block->last_allocated=0;
       keyinfo->hash_buckets= 0;

=== modified file 'storage/heap/hp_create.c'
--- storage/heap/hp_create.c	2008-09-22 23:53:43 +0000
+++ storage/heap/hp_create.c	2008-09-23 14:19:48 +0000
@@ -342,7 +342,7 @@
       goto err;
     }
     thr_lock_init(&share->lock);
-    VOID(pthread_mutex_init(&share->intern_lock,MY_MUTEX_INIT_FAST));
+    pthread_mutex_init(&share->intern_lock,MY_MUTEX_INIT_FAST);
     if (!create_info->internal_table)
     {
       share->open_list.data= (void*) share;
@@ -444,7 +444,7 @@
     heap_share_list= list_delete(heap_share_list, &share->open_list);
   hp_clear(share);			/* Remove blocks from memory */
   thr_lock_delete(&share->lock);
-  VOID(pthread_mutex_destroy(&share->intern_lock));
+  pthread_mutex_destroy(&share->intern_lock);
   my_free((uchar*) share->name, MYF(0));
   my_free((uchar*) share, MYF(0));
   return;

=== modified file 'storage/heap/hp_dspace.c'
--- storage/heap/hp_dspace.c	2008-08-05 05:01:04 +0000
+++ storage/heap/hp_dspace.c	2008-09-23 14:19:48 +0000
@@ -166,8 +166,8 @@
 {
   if (info->block.levels)
   {
-    VOID(hp_free_level(&info->block,info->block.levels,info->block.root,
-			(uchar*) 0));
+    hp_free_level(&info->block,info->block.levels,info->block.root,
+                  (uchar*) 0);
   }
   info->block.levels=0;
   info->del_chunk_count= info->chunk_count= 0;

=== modified file 'storage/innobase/handler/ha_innodb.cc'
--- storage/innobase/handler/ha_innodb.cc	2008-09-23 06:09:48 +0000
+++ storage/innobase/handler/ha_innodb.cc	2008-09-23 14:19:48 +0000
@@ -698,7 +698,7 @@
 innobase_mysql_prepare_print_arbitrary_thd(void)
 /*============================================*/
 {
-	VOID(pthread_mutex_lock(&LOCK_thread_count));
+	pthread_mutex_lock(&LOCK_thread_count);
 }
 
 /*****************************************************************
@@ -710,7 +710,7 @@
 innobase_mysql_end_print_arbitrary_thd(void)
 /*========================================*/
 {
-	VOID(pthread_mutex_unlock(&LOCK_thread_count));
+	pthread_mutex_unlock(&LOCK_thread_count);
 }
 
 /*****************************************************************

=== modified file 'storage/myisam/ha_myisam.cc'
--- storage/myisam/ha_myisam.cc	2008-09-23 06:09:48 +0000
+++ storage/myisam/ha_myisam.cc	2008-09-23 14:19:48 +0000
@@ -544,11 +544,11 @@
   }
   
   if (test_if_locked & (HA_OPEN_IGNORE_IF_LOCKED | HA_OPEN_TMP_TABLE))
-    VOID(mi_extra(file, HA_EXTRA_NO_WAIT_LOCK, 0));
+    mi_extra(file, HA_EXTRA_NO_WAIT_LOCK, 0);
 
   info(HA_STATUS_NO_LOCK | HA_STATUS_VARIABLE | HA_STATUS_CONST);
   if (!(test_if_locked & HA_OPEN_WAIT_IF_LOCKED))
-    VOID(mi_extra(file, HA_EXTRA_WAIT_LOCK, 0));
+    mi_extra(file, HA_EXTRA_WAIT_LOCK, 0);
   if (!table->s->db_record_offset)
     int_table_flags|=HA_REC_NOT_IN_SEQ;
   if (file->s->options & (HA_OPTION_CHECKSUM | HA_OPTION_COMPRESS_RECORD))

=== modified file 'storage/myisam/mi_changed.c'
--- storage/myisam/mi_changed.c	2008-07-15 20:23:33 +0000
+++ storage/myisam/mi_changed.c	2008-09-23 14:19:48 +0000
@@ -24,7 +24,7 @@
   int result;
   if (fast_mi_readinfo(info))
     return(-1);
-  VOID(_mi_writeinfo(info,0));
+  _mi_writeinfo(info,0);
   result=(int) info->data_changed;
   info->data_changed=0;
   return(result);

=== modified file 'storage/myisam/mi_check.c'
--- storage/myisam/mi_check.c	2008-09-22 23:53:43 +0000
+++ storage/myisam/mi_check.c	2008-09-23 14:19:48 +0000
@@ -1125,7 +1125,7 @@
       records++;
       if (param->testflag & T_WRITE_LOOP && records % WRITE_COUNT == 0)
       {
-	printf("%s\r", llstr(records,llbuff)); VOID(fflush(stdout));
+	printf("%s\r", llstr(records,llbuff)); fflush(stdout);
       }
 
       /* Check if keys match the record */
@@ -1172,7 +1172,7 @@
   }
   if (param->testflag & T_WRITE_LOOP)
   {
-    VOID(fputs("          \r",stdout)); VOID(fflush(stdout));
+    fputs("          \r",stdout); fflush(stdout);
   }
   if (records != info->state->records)
   {
@@ -1435,8 +1435,8 @@
     param->testflag|=T_CALC_CHECKSUM;
 
   if (!param->using_global_keycache)
-    VOID(init_key_cache(dflt_key_cache, param->key_cache_block_size,
-                        param->use_buffers, 0, 0));
+    init_key_cache(dflt_key_cache, param->key_cache_block_size,
+                   param->use_buffers, 0, 0);
 
   if (init_io_cache(&param->read_cache,info->dfile,
 		    (uint) param->read_buffer_length,
@@ -1528,8 +1528,8 @@
 			  llstr(info->dupp_key_pos,llbuff2));
       if (param->testflag & T_VERBOSE)
       {
-	VOID(_mi_make_key(info,(uint) info->errkey,info->lastkey,
-			  sort_param.record,0L));
+	_mi_make_key(info,(uint) info->errkey,info->lastkey,
+                     sort_param.record,0L);
       }
       sort_info.dupp++;
       if ((param->testflag & (T_FORCE_UNIQUENESS|T_QUICK)) == T_QUICK)
@@ -1549,7 +1549,7 @@
 
   if (param->testflag & T_WRITE_LOOP)
   {
-    VOID(fputs("          \r",stdout)); VOID(fflush(stdout));
+    fputs("          \r",stdout); fflush(stdout);
   }
   if (ftruncate(share->kfile, info->state->key_file_length))
   {
@@ -1631,9 +1631,9 @@
 		  llstr(sort_param.start_recpos,llbuff));
     if (new_file >= 0)
     {
-      VOID(my_close(new_file,MYF(0)));
-      VOID(my_raid_delete(param->temp_filename,info->s->base.raid_chunks,
-			  MYF(MY_WME)));
+      my_close(new_file,MYF(0));
+      my_raid_delete(param->temp_filename,info->s->base.raid_chunks,
+                     MYF(MY_WME));
       info->rec_cache.file=-1; /* don't flush data to new_file, it's closed */
     }
     mi_mark_crashed_on_repair(info);
@@ -1643,9 +1643,9 @@
   my_free(mi_get_rec_buff_ptr(info, sort_param.record),
           MYF(MY_ALLOW_ZERO_PTR));
   my_free(sort_info.buff,MYF(MY_ALLOW_ZERO_PTR));
-  VOID(end_io_cache(&param->read_cache));
+  end_io_cache(&param->read_cache);
   info->opt_flag&= ~(READ_CACHE_USED | WRITE_CACHE_USED);
-  VOID(end_io_cache(&info->rec_cache));
+  end_io_cache(&info->rec_cache);
   got_error|=flush_blocks(param, share->key_cache, share->kfile);
   if (!got_error && param->testflag & T_UNPACK)
   {
@@ -1846,9 +1846,9 @@
 	/* Put same locks as old file */
   share->r_locks= share->w_locks= share->tot_locks= 0;
   (void) _mi_writeinfo(info,WRITEINFO_UPDATE_KEYFILE);
-  VOID(my_close(share->kfile,MYF(MY_WME)));
+  my_close(share->kfile,MYF(MY_WME));
   share->kfile = -1;
-  VOID(my_close(new_file,MYF(MY_WME)));
+  my_close(new_file,MYF(MY_WME));
   if (change_to_newfile(share->index_file_name,MI_NAME_IEXT,INDEX_TMP_EXT,0,
 			MYF(0)) ||
       mi_open_keyfile(share))
@@ -1872,9 +1872,9 @@
   return(0);
 
 err:
-  VOID(my_close(new_file,MYF(MY_WME)));
+  my_close(new_file,MYF(MY_WME));
 err2:
-  VOID(my_delete(param->temp_filename,MYF(MY_WME)));
+  my_delete(param->temp_filename,MYF(MY_WME));
   return(-1);
 } /* mi_sort_index */
 
@@ -1982,7 +1982,7 @@
     buff=tmp_buff; buff_length=IO_SIZE;
   }
 
-  VOID(my_seek(from,start,MY_SEEK_SET,MYF(0)));
+  my_seek(from,start,MY_SEEK_SET,MYF(0));
   while (length > buff_length)
   {
     if (my_read(from,(uchar*) buff,buff_length,MYF(MY_NABP)) ||
@@ -2252,7 +2252,7 @@
 
   if (param->testflag & T_WRITE_LOOP)
   {
-    VOID(fputs("          \r",stdout)); VOID(fflush(stdout));
+    fputs("          \r",stdout); fflush(stdout);
   }
 
   if (rep_quick && del+sort_info.dupp != info->state->del)
@@ -2305,7 +2305,7 @@
 
 err:
   got_error|= flush_blocks(param, share->key_cache, share->kfile);
-  VOID(end_io_cache(&info->rec_cache));
+  end_io_cache(&info->rec_cache);
   if (!got_error)
   {
     /* Replace the actual file with the temporary file */
@@ -2327,9 +2327,9 @@
       mi_check_print_error(param,"%d when fixing table",my_errno);
     if (new_file >= 0)
     {
-      VOID(my_close(new_file,MYF(0)));
-      VOID(my_raid_delete(param->temp_filename,share->base.raid_chunks,
-			  MYF(MY_WME)));
+      my_close(new_file,MYF(0));
+      my_raid_delete(param->temp_filename,share->base.raid_chunks,
+                     MYF(MY_WME));
       if (info->dfile == new_file)
 	info->dfile= -1;
     }
@@ -2345,7 +2345,7 @@
           MYF(MY_ALLOW_ZERO_PTR));
   my_free((uchar*) sort_info.key_block,MYF(MY_ALLOW_ZERO_PTR));
   my_free(sort_info.buff,MYF(MY_ALLOW_ZERO_PTR));
-  VOID(end_io_cache(&param->read_cache));
+  end_io_cache(&param->read_cache);
   info->opt_flag&= ~(READ_CACHE_USED | WRITE_CACHE_USED);
   if (!got_error && (param->testflag & T_UNPACK))
   {
@@ -2806,7 +2806,7 @@
     the share by remove_io_thread() or it was not yet started (if the
     error happend before creating the thread).
   */
-  VOID(end_io_cache(&info->rec_cache));
+  end_io_cache(&info->rec_cache);
   /*
     Destroy the new data cache in case of non-quick repair. All slave
     threads did either detach from the share by remove_io_thread()
@@ -2814,7 +2814,7 @@
     creating the threads).
   */
   if (!rep_quick)
-    VOID(end_io_cache(&new_data_cache));
+    end_io_cache(&new_data_cache);
   if (!got_error)
   {
     /* Replace the actual file with the temporary file */
@@ -2836,9 +2836,9 @@
       mi_check_print_error(param,"%d when fixing table",my_errno);
     if (new_file >= 0)
     {
-      VOID(my_close(new_file,MYF(0)));
-      VOID(my_raid_delete(param->temp_filename,share->base.raid_chunks,
-			  MYF(MY_WME)));
+      my_close(new_file,MYF(0));
+      my_raid_delete(param->temp_filename,share->base.raid_chunks,
+                     MYF(MY_WME));
       if (info->dfile == new_file)
 	info->dfile= -1;
     }
@@ -2854,7 +2854,7 @@
   my_free((uchar*) sort_info.key_block,MYF(MY_ALLOW_ZERO_PTR));
   my_free((uchar*) sort_param,MYF(MY_ALLOW_ZERO_PTR));
   my_free(sort_info.buff,MYF(MY_ALLOW_ZERO_PTR));
-  VOID(end_io_cache(&param->read_cache));
+  end_io_cache(&param->read_cache);
   info->opt_flag&= ~(READ_CACHE_USED | WRITE_CACHE_USED);
   if (!got_error && (param->testflag & T_UNPACK))
   {
@@ -3374,7 +3374,7 @@
     {
       char llbuff[22];
       printf("%s\r", llstr(info->state->records,llbuff));
-      VOID(fflush(stdout));
+      fflush(stdout);
     }
   }
   return(0);
@@ -3505,7 +3505,7 @@
   key_block->end_pos+=t_length;
   if (a_length <= keyinfo->block_length)
   {
-    VOID(_mi_move_key(keyinfo,key_block->lastkey,key));
+    _mi_move_key(keyinfo,key_block->lastkey,key);
     key_block->last_length=a_length-t_length;
     return(0);
   }
@@ -3776,7 +3776,7 @@
   set_if_bigger(file_length,tmp_length);
   set_if_bigger(file_length,(uint64_t) share.base.max_data_file_length);
 
-  VOID(mi_close(*org_info));
+  mi_close(*org_info);
   memset(&create_info, 0, sizeof(create_info));
   create_info.max_rows=cmax(max_records,share.base.records);
   create_info.reloc_rows=share.base.reloc;
@@ -3817,7 +3817,7 @@
   }
   /* We are modifing */
   (*org_info)->s->options&= ~HA_OPTION_READ_ONLY_DATA;
-  VOID(_mi_readinfo(*org_info,F_WRLCK,0));
+  _mi_readinfo(*org_info,F_WRLCK,0);
   (*org_info)->state->records=info.state->records;
   if (share.state.create_time)
     (*org_info)->s->state.create_time=share.state.create_time;

=== modified file 'storage/myisam/mi_close.c'
--- storage/myisam/mi_close.c	2008-08-11 18:22:04 +0000
+++ storage/myisam/mi_close.c	2008-09-23 14:19:48 +0000
@@ -83,13 +83,13 @@
       my_free((uchar*) share->decode_tables,MYF(0));
     }
     thr_lock_delete(&share->lock);
-    VOID(pthread_mutex_destroy(&share->intern_lock));
+    pthread_mutex_destroy(&share->intern_lock);
     {
       int i,keys;
       keys = share->state.header.keys;
-      VOID(rwlock_destroy(&share->mmap_lock));
+      rwlock_destroy(&share->mmap_lock);
       for(i=0; i<keys; i++) {
-	VOID(rwlock_destroy(&share->key_root_lock[i]));
+	rwlock_destroy(&share->key_root_lock[i]);
       }
     }
     my_free((uchar*) info->s,MYF(0));

=== modified file 'storage/myisam/mi_create.c'
--- storage/myisam/mi_create.c	2008-09-22 23:53:43 +0000
+++ storage/myisam/mi_create.c	2008-09-23 14:19:48 +0000
@@ -692,7 +692,7 @@
   save_errno=my_errno;
   switch (errpos) {
   case 3:
-    VOID(my_close(dfile,MYF(0)));
+    my_close(dfile,MYF(0));
     /* fall through */
   case 2:
     /* QQ: Tnu should add a call to my_raid_delete() here */
@@ -702,7 +702,7 @@
 			   MYF(0));
     /* fall through */
   case 1:
-    VOID(my_close(file,MYF(0)));
+    my_close(file,MYF(0));
     if (! (flags & HA_DONT_TOUCH_DATA))
       my_delete_with_symlink(fn_format(filename,name,"",MI_NAME_IEXT,
                                        MY_UNPACK_FILENAME | MY_APPEND_EXT),

=== modified file 'storage/myisam/mi_delete.c'
--- storage/myisam/mi_delete.c	2008-08-11 04:55:59 +0000
+++ storage/myisam/mi_delete.c	2008-09-23 14:19:48 +0000
@@ -85,7 +85,7 @@
   info->state->records--;
 
   mi_sizestore(lastpos,info->lastpos);
-  VOID(_mi_writeinfo(info,WRITEINFO_UPDATE_KEYFILE));
+  _mi_writeinfo(info,WRITEINFO_UPDATE_KEYFILE);
   if (info->invalidator != 0)
   {
     (*info->invalidator)(info->filename);
@@ -101,7 +101,7 @@
     mi_print_error(info->s, HA_ERR_CRASHED);
     mi_mark_crashed(info);		/* mark table crashed */
   }
-  VOID(_mi_writeinfo(info,WRITEINFO_UPDATE_KEYFILE));
+  _mi_writeinfo(info,WRITEINFO_UPDATE_KEYFILE);
   info->update|=HA_STATE_WRITTEN;	/* Buffer changed */
   my_errno=save_errno;
   if (save_errno == HA_ERR_KEY_NOT_FOUND)

=== modified file 'storage/myisam/mi_delete_all.c'
--- storage/myisam/mi_delete_all.c	2008-08-22 04:52:07 +0000
+++ storage/myisam/mi_delete_all.c	2008-09-23 14:19:48 +0000
@@ -53,13 +53,13 @@
   flush_key_blocks(share->key_cache, share->kfile, FLUSH_IGNORE_CHANGED);
   if (ftruncate(info->dfile, 0) || ftruncate(share->kfile, share->base.keystart))
     goto err;
-  VOID(_mi_writeinfo(info,WRITEINFO_UPDATE_KEYFILE));
+  _mi_writeinfo(info,WRITEINFO_UPDATE_KEYFILE);
   return(0);
 
 err:
   {
     int save_errno=my_errno;
-    VOID(_mi_writeinfo(info,WRITEINFO_UPDATE_KEYFILE));
+    _mi_writeinfo(info,WRITEINFO_UPDATE_KEYFILE);
     info->update|=HA_STATE_WRITTEN;	/* Buffer changed */
     return(my_errno=save_errno);
   }

=== modified file 'storage/myisam/mi_dynrec.c'
--- storage/myisam/mi_dynrec.c	2008-09-22 23:53:43 +0000
+++ storage/myisam/mi_dynrec.c	2008-09-23 14:19:48 +0000
@@ -108,8 +108,8 @@
 {
   if (info->s->file_map)
   {
-    VOID(my_munmap((char*) info->s->file_map,
-                   (size_t) info->s->mmaped_length + MEMMAP_EXTRA_MARGIN));
+    my_munmap((char*) info->s->file_map,
+              (size_t) info->s->mmaped_length + MEMMAP_EXTRA_MARGIN);
     mi_dynmap_file(info, size);
   }
 }
@@ -1487,7 +1487,7 @@
 panic:
   my_errno=HA_ERR_WRONG_IN_RECORD;
 err:
-  VOID(_mi_writeinfo(info,0));
+  _mi_writeinfo(info,0);
   return(-1);
 }
 
@@ -1787,7 +1787,7 @@
             block_info.filepos + block_info.data_len &&
             flush_io_cache(&info->rec_cache))
           goto err;
-	/* VOID(my_seek(info->dfile,filepos,MY_SEEK_SET,MYF(0))); */
+	/* my_seek(info->dfile,filepos,MY_SEEK_SET,MYF(0)); */
 	if (my_read(info->dfile,(uchar*) to,block_info.data_len,MYF(MY_NABP)))
 	{
 	  if (my_errno == -1)
@@ -1821,7 +1821,7 @@
   my_errno=HA_ERR_WRONG_IN_RECORD;		/* Something is fatal wrong */
 err:
   save_errno=my_errno;
-  VOID(_mi_writeinfo(info,0));
+  _mi_writeinfo(info,0);
   return(my_errno=save_errno);
 }
 
@@ -1840,7 +1840,7 @@
       pointer set to the end of the header after this function.
       my_pread() may leave the file pointer untouched.
     */
-    VOID(my_seek(file,filepos,MY_SEEK_SET,MYF(0)));
+    my_seek(file,filepos,MY_SEEK_SET,MYF(0));
     if (my_read(file, header, sizeof(info->header),MYF(0)) !=
 	sizeof(info->header))
       goto err;

=== modified file 'storage/myisam/mi_info.c'
--- storage/myisam/mi_info.c	2008-08-11 04:55:59 +0000
+++ storage/myisam/mi_info.c	2008-09-23 14:19:48 +0000
@@ -42,7 +42,7 @@
   if (!(flag & HA_STATUS_NO_LOCK))
   {
     pthread_mutex_lock(&share->intern_lock);
-    VOID(_mi_readinfo(info,F_RDLCK,0));
+    _mi_readinfo(info,F_RDLCK,0);
     fast_mi_writeinfo(info);
     pthread_mutex_unlock(&share->intern_lock);
   }

=== modified file 'storage/myisam/mi_locking.c'
--- storage/myisam/mi_locking.c	2008-08-09 06:20:11 +0000
+++ storage/myisam/mi_locking.c	2008-09-23 14:19:48 +0000
@@ -160,7 +160,7 @@
 	  break;
 	}
       }
-      VOID(_mi_test_if_changed(info));
+      _mi_test_if_changed(info);
       share->r_locks++;
       share->tot_locks++;
       info->lock_type=lock_type;
@@ -194,7 +194,7 @@
 	  }
 	}
       }
-      VOID(_mi_test_if_changed(info));
+      _mi_test_if_changed(info);
         
       info->lock_type=lock_type;
       info->invalidator=info->s->invalidator;
@@ -356,7 +356,7 @@
       }
     }
     if (check_keybuffer)
-      VOID(_mi_test_if_changed(info));
+      _mi_test_if_changed(info);
     info->invalidator=info->s->invalidator;
   }
   else if (lock_type == F_WRLCK && info->lock_type == F_RDLCK)
@@ -416,7 +416,7 @@
       share->state.update_count != info->last_loop)
   {						/* Keyfile has changed */
     if (share->state.process != share->this_process)
-      VOID(flush_key_blocks(share->key_cache, share->kfile, FLUSH_RELEASE));
+      flush_key_blocks(share->key_cache, share->kfile, FLUSH_RELEASE);
     share->last_process=share->state.process;
     info->last_unique=	share->state.unique;
     info->last_loop=	share->state.update_count;

=== modified file 'storage/myisam/mi_open.c'
--- storage/myisam/mi_open.c	2008-09-22 23:53:43 +0000
+++ storage/myisam/mi_open.c	2008-09-23 14:19:48 +0000
@@ -150,7 +150,7 @@
     end_pos=disk_cache+info_length;
     errpos=2;
 
-    VOID(my_seek(kfile,0L,MY_SEEK_SET,MYF(0)));
+    my_seek(kfile,0L,MY_SEEK_SET,MYF(0));
     errpos=3;
     if (my_read(kfile,disk_cache,info_length,MYF(MY_NABP)))
     {
@@ -382,10 +382,10 @@
     mi_setup_functions(share);
     share->is_log_table= false;
     thr_lock_init(&share->lock);
-    VOID(pthread_mutex_init(&share->intern_lock,MY_MUTEX_INIT_FAST));
+    pthread_mutex_init(&share->intern_lock,MY_MUTEX_INIT_FAST);
     for (i=0; i<keys; i++)
-      VOID(my_rwlock_init(&share->key_root_lock[i], NULL));
-    VOID(my_rwlock_init(&share->mmap_lock, NULL));
+      my_rwlock_init(&share->key_root_lock[i], NULL);
+    my_rwlock_init(&share->mmap_lock, NULL);
     if (!thr_lock_inited)
     {
       /* Probably a single threaded program; Don't use concurrent inserts */
@@ -520,7 +520,7 @@
     my_free((uchar*) m_info,MYF(0));
     /* fall through */
   case 5:
-    VOID(my_close(info.dfile,MYF(0)));
+    my_close(info.dfile,MYF(0));
     if (old_info)
       break;					/* Don't remove open table */
     /* fall through */
@@ -533,7 +533,7 @@
     my_afree(disk_cache);
     /* fall through */
   case 1:
-    VOID(my_close(kfile,MYF(0)));
+    my_close(kfile,MYF(0));
     /* fall through */
   case 0:
   default:

=== modified file 'storage/myisam/mi_rsame.c'
--- storage/myisam/mi_rsame.c	2008-07-16 02:35:15 +0000
+++ storage/myisam/mi_rsame.c	2008-09-23 14:19:48 +0000
@@ -48,9 +48,9 @@
 				      info->lastpos);
     if (info->s->concurrent_insert)
       rw_rdlock(&info->s->key_root_lock[inx]);
-    VOID(_mi_search(info,info->s->keyinfo+inx,info->lastkey, USE_WHOLE_KEY,
-		    SEARCH_SAME,
-		    info->s->state.key_root[inx]));
+    _mi_search(info,info->s->keyinfo+inx,info->lastkey, USE_WHOLE_KEY,
+               SEARCH_SAME,
+               info->s->state.key_root[inx]);
     if (info->s->concurrent_insert)
       rw_unlock(&info->s->key_root_lock[inx]);
   }

=== modified file 'storage/myisam/mi_statrec.c'
--- storage/myisam/mi_statrec.c	2008-08-09 06:20:11 +0000
+++ storage/myisam/mi_statrec.c	2008-09-23 14:19:48 +0000
@@ -261,7 +261,7 @@
 		    info->s->base.pack_reclength - info->s->base.reclength);
   }
   if (locked)
-    VOID(_mi_writeinfo(info,0));		/* Unlock keyfile */
+    _mi_writeinfo(info,0);		/* Unlock keyfile */
   if (!error)
   {
     if (!buf[0])

=== modified file 'storage/myisam/mi_update.c'
--- storage/myisam/mi_update.c	2008-08-11 04:55:59 +0000
+++ storage/myisam/mi_update.c	2008-09-23 14:19:48 +0000
@@ -153,7 +153,7 @@
     mi_update() must always pass !0 value as operation, since even if
     there is no index change there could be data change.
   */
-  VOID(_mi_writeinfo(info, WRITEINFO_UPDATE_KEYFILE));
+  _mi_writeinfo(info, WRITEINFO_UPDATE_KEYFILE);
   if (info->invalidator != 0)
   {
     (*info->invalidator)(info->filename);
@@ -193,7 +193,7 @@
 		 key_changed);
 
  err_end:
-  VOID(_mi_writeinfo(info,WRITEINFO_UPDATE_KEYFILE));
+  _mi_writeinfo(info,WRITEINFO_UPDATE_KEYFILE);
   if (save_errno == HA_ERR_KEY_NOT_FOUND)
   {
     mi_print_error(info->s, HA_ERR_CRASHED);

=== modified file 'storage/myisam/mi_write.c'
--- storage/myisam/mi_write.c	2008-08-11 04:55:59 +0000
+++ storage/myisam/mi_write.c	2008-09-23 14:19:48 +0000
@@ -130,7 +130,7 @@
 		 HA_STATE_ROW_CHANGED);
   info->state->records++;
   info->lastpos=filepos;
-  VOID(_mi_writeinfo(info, WRITEINFO_UPDATE_KEYFILE));
+  _mi_writeinfo(info, WRITEINFO_UPDATE_KEYFILE);
   if (info->invalidator != 0)
   {
     (*info->invalidator)(info->filename);
@@ -194,7 +194,7 @@
   my_errno=save_errno;
 err2:
   save_errno=my_errno;
-  VOID(_mi_writeinfo(info,WRITEINFO_UPDATE_KEYFILE));
+  _mi_writeinfo(info,WRITEINFO_UPDATE_KEYFILE);
   return(my_errno=save_errno);
 } /* mi_write */
 

=== modified file 'storage/myisam/my_pread.c'
--- storage/myisam/my_pread.c	2008-08-11 20:00:23 +0000
+++ storage/myisam/my_pread.c	2008-09-23 14:19:48 +0000
@@ -124,7 +124,7 @@
       if (!(errors++ % MY_WAIT_GIVE_USER_A_MESSAGE))
 	my_error(EE_DISK_FULL,MYF(ME_BELL | ME_NOREFRESH),
 		 my_filename(Filedes),my_errno,MY_WAIT_FOR_USER_TO_FIX_PANIC);
-      VOID(sleep(MY_WAIT_FOR_USER_TO_FIX_PANIC));
+      sleep(MY_WAIT_FOR_USER_TO_FIX_PANIC);
       continue;
     }
     if ((writenbytes && writenbytes != (size_t) -1) || my_errno == EINTR)

=== modified file 'storage/myisam/myisamchk.c'
--- storage/myisam/myisamchk.c	2008-09-04 18:16:51 +0000
+++ storage/myisam/myisamchk.c	2008-09-23 14:19:48 +0000
@@ -100,8 +100,8 @@
     int new_error=myisamchk(&check_param, *(argv++));
     if ((check_param.testflag & T_REP_ANY) != T_REP)
       check_param.testflag&= ~T_REP;
-    VOID(fflush(stdout));
-    VOID(fflush(stderr));
+    fflush(stdout);
+    fflush(stderr);
     if ((check_param.error_printed | check_param.warning_printed) &&
 	(check_param.testflag & T_FORCE_CREATE) &&
 	(!(check_param.testflag & (T_REP | T_REP_BY_SORT | T_SORT_RECORDS |
@@ -113,15 +113,15 @@
       check_param.testflag&= ~T_EXTEND;			/* Don't needed  */
       error|=myisamchk(&check_param, argv[-1]);
       check_param.testflag= old_testflag;
-      VOID(fflush(stdout));
-      VOID(fflush(stderr));
+      fflush(stdout);
+      fflush(stderr);
     }
     else
       error|=new_error;
     if (argc && (!(check_param.testflag & T_SILENT) || check_param.testflag & T_INFO))
     {
       puts("\n---------\n");
-      VOID(fflush(stdout));
+      fflush(stdout);
     }
   }
   if (check_param.total_files > 1)
@@ -716,9 +716,9 @@
   if ((check_param.testflag & T_UNPACK) &&
       (check_param.testflag & (T_QUICK | T_SORT_RECORDS)))
   {
-    VOID(fprintf(stderr,
-		 "%s: --unpack can't be used with --quick or --sort-records\n",
-		 my_progname_short));
+    fprintf(stderr,
+            "%s: --unpack can't be used with --quick or --sort-records\n",
+            my_progname_short);
     exit(1);
   }
   if ((check_param.testflag & T_READONLY) &&
@@ -726,9 +726,9 @@
        (T_REP_ANY | T_STATISTICS | T_AUTO_INC |
 	T_SORT_RECORDS | T_SORT_INDEX | T_FORCE_CREATE)))
   {
-    VOID(fprintf(stderr,
-		 "%s: Can't use --readonly when repairing or sorting\n",
-		 my_progname_short));
+    fprintf(stderr,
+            "%s: Can't use --readonly when repairing or sorting\n",
+            my_progname_short);
     exit(1);
   }
 
@@ -881,9 +881,9 @@
       param->language= set_collation->number;
     if (recreate_table(param, &info,filename))
     {
-      VOID(fprintf(stderr,
-		   "MyISAM-table '%s' is not fixed because of errors\n",
-	      filename));
+      fprintf(stderr,
+              "MyISAM-table '%s' is not fixed because of errors\n",
+              filename);
       return(-1);
     }
     recreate=1;
@@ -1032,23 +1032,23 @@
 	  !(param->testflag & (T_FAST | T_FORCE_CREATE)))
       {
 	if (param->testflag & (T_EXTEND | T_MEDIUM))
-	  VOID(init_key_cache(dflt_key_cache,opt_key_cache_block_size,
-                              param->use_buffers, 0, 0));
-	VOID(init_io_cache(&param->read_cache,datafile,
-			   (uint) param->read_buffer_length,
-			   READ_CACHE,
-			   (param->start_check_pos ?
-			    param->start_check_pos :
-			    share->pack.header_length),
-			   1,
-			   MYF(MY_WME)));
+	  init_key_cache(dflt_key_cache,opt_key_cache_block_size,
+                         param->use_buffers, 0, 0);
+	init_io_cache(&param->read_cache,datafile,
+                      (uint) param->read_buffer_length,
+                      READ_CACHE,
+                      (param->start_check_pos ?
+                       param->start_check_pos :
+                       share->pack.header_length),
+                      1,
+                      MYF(MY_WME));
 	lock_memory(param);
 	if ((info->s->options & (HA_OPTION_PACK_RECORD |
 				 HA_OPTION_COMPRESS_RECORD)) ||
 	    (param->testflag & (T_EXTEND | T_MEDIUM)))
 	  error|=chk_data_link(param, info, param->testflag & T_EXTEND);
 	error|=flush_blocks(param, share->key_cache, share->kfile);
-	VOID(end_io_cache(&param->read_cache));
+	end_io_cache(&param->read_cache);
       }
       if (!error)
       {
@@ -1101,30 +1101,30 @@
       error|=change_to_newfile(filename,MI_NAME_IEXT,INDEX_TMP_EXT,0,
 			       MYF(0));
   }
-  VOID(fflush(stdout)); VOID(fflush(stderr));
+  fflush(stdout); fflush(stderr);
   if (param->error_printed)
   {
     if (param->testflag & (T_REP_ANY | T_SORT_RECORDS | T_SORT_INDEX))
     {
-      VOID(fprintf(stderr,
-		   "MyISAM-table '%s' is not fixed because of errors\n",
-		   filename));
+      fprintf(stderr,
+              "MyISAM-table '%s' is not fixed because of errors\n",
+              filename);
       if (param->testflag & T_REP_ANY)
-	VOID(fprintf(stderr,
-		     "Try fixing it by using the --safe-recover (-o), the --force (-f) option or by not using the --quick (-q) flag\n"));
+	fprintf(stderr,
+                "Try fixing it by using the --safe-recover (-o), the --force (-f) option or by not using the --quick (-q) flag\n");
     }
     else if (!(param->error_printed & 2) &&
 	     !(param->testflag & T_FORCE_CREATE))
-      VOID(fprintf(stderr,
-      "MyISAM-table '%s' is corrupted\nFix it using switch \"-r\" or \"-o\"\n",
-	      filename));
+      fprintf(stderr,
+              "MyISAM-table '%s' is corrupted\nFix it using switch \"-r\" or \"-o\"\n",
+	      filename);
   }
   else if (param->warning_printed &&
 	   ! (param->testflag & (T_REP_ANY | T_SORT_RECORDS | T_SORT_INDEX |
 			  T_FORCE_CREATE)))
-    VOID(fprintf(stderr, "MyISAM-table '%s' is usable but should be fixed\n",
-		 filename));
-  VOID(fflush(stderr));
+    fprintf(stderr, "MyISAM-table '%s' is usable but should be fixed\n",
+            filename);
+  fflush(stderr);
   return(error);
 } /* myisamchk */
 
@@ -1250,7 +1250,7 @@
   printf("Key Start Len Index   Type");
   if (param->testflag & T_VERBOSE)
     printf("                     Rec/key         Root  Blocksize");
-  VOID(putchar('\n'));
+  putchar('\n');
 
   for (key=keyseg_nr=0, keyinfo= &share->keyinfo[0] ;
        key < share->base.keys;
@@ -1288,7 +1288,7 @@
       printf("%11lu %12s %10d",
 	     share->state.rec_per_key_part[keyseg_nr++],
 	     buff,keyinfo->block_length);
-    VOID(putchar('\n'));
+    putchar('\n');
     while ((++keyseg)->type != HA_KEYTYPE_END)
     {
       pos=buff;
@@ -1307,7 +1307,7 @@
 	     (long) keyseg->start+1,keyseg->length,buff);
       if (param->testflag & T_VERBOSE)
 	printf("%11lu", share->state.rec_per_key_part[keyseg_nr++]);
-      VOID(putchar('\n'));
+      putchar('\n');
     }
     keyseg++;
   }
@@ -1345,7 +1345,7 @@
     printf("\nField Start Length Nullpos Nullbit Type");
     if (share->options & HA_OPTION_COMPRESS_RECORD)
       printf("                         Huff tree  Bits");
-    VOID(putchar('\n'));
+    putchar('\n');
     start=1;
     for (field=0 ; field < share->base.fields ; field++)
     {
@@ -1384,7 +1384,7 @@
 		 (uint) (share->rec[field].huff_tree-share->decode_trees)+1,
 		 share->rec[field].huff_tree->quick_table_bits);
       }
-      VOID(putchar('\n'));
+      putchar('\n');
       start+=share->rec[field].length;
     }
   }
@@ -1524,7 +1524,7 @@
     goto err;
   }
 
-  VOID(my_close(info->dfile,MYF(MY_WME)));
+  my_close(info->dfile,MYF(MY_WME));
   param->out_flag|=O_NEW_DATA;			/* Data in new file */
   info->dfile=new_file;				/* Use new datafile */
   info->state->del=0;
@@ -1538,14 +1538,14 @@
 
   if (param->testflag & T_WRITE_LOOP)
   {
-    VOID(fputs("          \r",stdout)); VOID(fflush(stdout));
+    fputs("          \r",stdout); fflush(stdout);
   }
   got_error=0;
 
 err:
   if (got_error && new_file >= 0)
   {
-    VOID(end_io_cache(&info->rec_cache));
+    end_io_cache(&info->rec_cache);
     (void) my_close(new_file,MYF(MY_WME));
     (void) my_raid_delete(param->temp_filename, share->base.raid_chunks,
 			  MYF(MY_WME));
@@ -1557,7 +1557,7 @@
   my_free(mi_get_rec_buff_ptr(info, sort_param.record),
           MYF(MY_ALLOW_ZERO_PTR));
   info->opt_flag&= ~(READ_CACHE_USED | WRITE_CACHE_USED);
-  VOID(end_io_cache(&info->rec_cache));
+  end_io_cache(&info->rec_cache);
   my_free(sort_info.buff,MYF(MY_ALLOW_ZERO_PTR));
   sort_info.buff=0;
   share->state.sortkey=sort_key;
@@ -1678,8 +1678,8 @@
   va_list args;
 
   va_start(args,fmt);
-  VOID(vfprintf(stdout, fmt, args));
-  VOID(fputc('\n',stdout));
+  vfprintf(stdout, fmt, args);
+  fputc('\n',stdout);
   va_end(args);
 }
 
@@ -1700,8 +1700,8 @@
   param->warning_printed=1;
   va_start(args,fmt);
   fprintf(stderr,"%s: warning: ",my_progname_short);
-  VOID(vfprintf(stderr, fmt, args));
-  VOID(fputc('\n',stderr));
+  vfprintf(stderr, fmt, args);
+  fputc('\n',stderr);
   fflush(stderr);
   va_end(args);
   return;
@@ -1723,8 +1723,8 @@
   param->error_printed|=1;
   va_start(args,fmt);
   fprintf(stderr,"%s: error: ",my_progname_short);
-  VOID(vfprintf(stderr, fmt, args));
-  VOID(fputc('\n',stderr));
+  vfprintf(stderr, fmt, args);
+  fputc('\n',stderr);
   fflush(stderr);
   va_end(args);
   return;

=== modified file 'storage/myisam/sort.c'
--- storage/myisam/sort.c	2008-09-23 06:09:48 +0000
+++ storage/myisam/sort.c	2008-09-23 14:19:48 +0000
@@ -928,7 +928,7 @@
           uchar *base=buffpek->base;
           uint max_keys=buffpek->max_keys;
 
-          VOID(queue_remove(&queue,0));
+          queue_remove(&queue,0);
 
           /* Put room used by buffer to use in other buffer */
           for (refpek= (BUFFPEK**) &queue_top(&queue);

